<?php defined('SYSPATH') or die('No direct script access.');

class Task_Purge extends Minion_Task {
	/*
	protected function _execute_new(array $params)
	{
		$current_date = date('Y-m-d', time());

		// get the purge setting
		$sql = DB::select('purge_draft', 'purge_denied', 'purge_archived')
			->from('setting')
			->as_object()
			->execute();

		if ($sql->count())
		{
			$p = $sql->current();
			$purge_draft = $p->purge_draft;
			$purge_denied = $p->purge_denied;
			$purge_archived = $p->purge_archived;

			$draft_ts = mktime(0, 0, 0, date('n')-$purge_draft, date('j'), date('Y'));
			$draft_d8 = date('Y-m-d', $draft_ts);
			//get pages where status is draft and status date is less than the computed purge date
			$qry = DB::select()
				->from('pages')
				->where('status', '=', 'draft')
				->where('status_date', '<', $draft_d8)
				->as_object()
				->execute();

			if ($qry->count())
			{
				foreach ($qry as $res)
				{
					$page_id = $res->id;
					// remove records from the media table based on the page id
					$query = DB::delete('media')
						->where('page_id', '=', $page_id)
						->execute();
				}
				// process now the deletion of the page
				DB::delete('pages')
					->where('status', '=', 'draft')
					->where('status_date', '<', $draft_d8)
					->execute();
			}
			// end purge draft

			$denied_ts = mktime(0, 0, 0, date('n')-$purge_denied, date('j'), date('Y'));
			$denied_d8 = date('Y-m-d', $denied_ts);

			$qry = DB::select()
				->from('pages')
				->where('status', '=', 'denied')
				->where('status_date', '<', $denied_d8)
				->as_object()
				->execute();

			if ($qry->count())
			{
				foreach ($qry as $res)
				{
					$page_id = $res->id;
					// remove records from the media table based on the page id
					$query = DB::delete('media')
						->where('page_id', '=', $page_id)
						->execute();
				}
				// process now the deletion of the page
				DB::delete('pages')
					->where('status', '=', 'denied')
					->where('status_date', '<', $denied_d8)
					->execute();
			}
			// end purge denied

			$archive_ts = mktime(0, 0, 0, date('n')-$purge_archived, date('j'), date('Y'));
			$archive_d8 = date('Y-m-d', $archive_ts);

			$qry = DB::select()
				->from('pages')
				->where('status', '=', 'archived')
				->where('status_date', '<', $archive_d8)
				->as_object()
				->execute();

			if ($qry->count())
			{
				foreach ($qry as $res)
				{
					$page_id = $res->id;
					// remove records from the media table based on the page id
					$query = DB::delete('media')
						->where('page_id', '=', $page_id)
						->execute();
				}
				// process now the deletion of the page
				DB::delete('pages')
					->where('status', '=', 'archived')
					->where('status_date', '<', $archive_d8)
					->execute();
			}
			// end purge archived
		}
	}
	*/
	protected function _execute(array $params)
	{
		// Enable this block of code for load balance server setup
		// $lbsites = Kohana::$config->load('site')->get('lb_sites');

		$current_date = date('Y-m-d', time());

		$purge_ids = array();

		// get the purge setting
		$sql = DB::select('purge_draft', 'purge_denied', 'purge_archived')
			->from('setting')
			->as_object()
			->execute();

		if ($sql->count())
		{
			$p = $sql->current();
			$purge_draft = $p->purge_draft;
			$purge_denied = $p->purge_denied;
			$purge_archived = $p->purge_archived;

			$draft_ts = mktime(0, 0, 0, date('n')-$purge_draft, date('j'), date('Y'));
			$draft_d8 = date('Y-m-d', $draft_ts);
			//get pages where status is draft and status date is less than the computed purge date
			$qry = DB::select()
				->from('pages')
				->where('status', '=', 'draft')
				->where('status_date', '<', $draft_d8)
				->as_object()
				->execute();

			if ($qry->count())
			{
				foreach ($qry as $res)
				{
					$page_id = $res->id;
					$purge_ids[] = $page_id;
					// remove records from the media table based on the page id
					/*
					$query = DB::delete('media')
						->where('page_id', '=', $page_id)
						->execute();
					*/
				}
				// process now the deletion of the page
				DB::delete('pages')
					->where('status', '=', 'draft')
					->where('status_date', '<', $draft_d8)
					->execute();
			}
			// end purge draft

			$denied_ts = mktime(0, 0, 0, date('n')-$purge_denied, date('j'), date('Y'));
			$denied_d8 = date('Y-m-d', $denied_ts);

			$qry = DB::select()
				->from('pages')
				->where('status', '=', 'denied')
				->where('status_date', '<', $denied_d8)
				->as_object()
				->execute();

			if ($qry->count())
			{
				foreach ($qry as $res)
				{
					$page_id = $res->id;
					$purge_ids[] = $page_id;
					// remove records from the media table based on the page id
					/*
					$query = DB::delete('media')
						->where('page_id', '=', $page_id)
						->execute();
					*/
				}
				// process now the deletion of the page
				DB::delete('pages')
					->where('status', '=', 'denied')
					->where('status_date', '<', $denied_d8)
					->execute();
			}
			// end purge denied

			$archive_ts = mktime(0, 0, 0, date('n')-$purge_archived, date('j'), date('Y'));
			$archive_d8 = date('Y-m-d', $archive_ts);

			$qry = DB::select()
				->from('pages')
				->where('status', '=', 'archived')
				->where('status_date', '<', $archive_d8)
				->as_object()
				->execute();

			if ($qry->count())
			{
				foreach ($qry as $res)
				{
					$page_id = $res->id;
					$purge_ids[] = $page_id;
					// remove records from the media table based on the page id
					/*
					$query = DB::delete('media')
						->where('page_id', '=', $page_id)
						->execute();
					*/
				}
				// process now the deletion of the page
				DB::delete('pages')
					->where('status', '=', 'archived')
					->where('status_date', '<', $archive_d8)
					->execute();
			}
			// end purge archived

			// Remove records in the media table together with the files associated to it (accross all load balance servers)
			if (count($purge_ids) > 0)
			{
				$str_purge_ids = implode(',', $purge_ids);

				$sql = DB::select()
					->from('media')
					->where('page_id', 'IN', DB::expr('('.$str_purge_ids.')'))
					->as_object()
					->execute();

				$directory = DOCROOT.'media/uploads';
				foreach ($sql as $res)
				{
					$file_name = $res->filename;
					if (is_file($directory.'/'.$file_name) AND file_exists($directory.'/'.$file_name))
					{
						@unlink($directory.'/'.$file_name);
					}

					/*
					Enable this block of code for load balance server setup
					// start CURL Delete
					if (count($lbsites) > 0)
					{
						$post = array('file_name'=>$file_name);
						foreach($lbsites as $k => $site)
						{
							$target_url = $site.'/fileupload/file_remove';
							$ch = curl_init();
							curl_setopt($ch, CURLOPT_URL, $target_url);
							curl_setopt($ch, CURLOPT_POST, 1);
							curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
							$result = curl_exec ($ch);

							curl_close ($ch);
						}
					}
					*/
				}

				// remove records in the media table
				$query = DB::delete('media')
					->where('page_id', 'IN',  DB::expr('('.$str_purge_ids.')'))
					->execute();
			}
		}
	}
}