<?php defined('SYSPATH') or die('No direct script access.');

return array(
	/**
	 * The following options are available:
	 *
	 * integer   sess_idle_time (milliseconds) 		No of seconds (when idle) before showing the auto logout confirmation page
	 * integer   sess_logout_time (milliseconds)		Auto logout the user if not confirmed by the user after showing the auto logout confirmation page
	 * integer   login_try 									No of consecutive login error allowed
	 * integer 	 max_login_try								No of accumulative login error allowed
	 * string    smtp 										SMTP Server for email process
	 * integer   inactive									No of days of inactivity before the system marked them as suspended
	 * integer   email_reminder							No of days before cms expires. Send email notification (First Email Reminder)
	 * integer   email_reminder2							No of days before cms expires. Send email notification (Second Email Reminder)
	 */
   'sess_idle_time' => 240000, // 240 seconds
   'sess_logout_time' => 60000,
   'login_try' => 3,
   'max_login_try' => 10,
   'smtp' => '192.168.0.7',
   'inactive' => 120,
   'email_reminder' => 30,
   'email_reminder2' => 7
);