<div class="row">
	<div class="span9">
		<?php echo Form::open('admin/cms/save', array('id'=>'_form', 'enctype'=>'multipart/form-data'));?>
		<fieldset>
			<legend><?php echo $page_header;?><span class="pull-right"><a class="act-danger" id="close-form" href="#">&times;</a></span></legend>
			<?php
			if ($status == 'create-new-copy' AND $prev_status != 'archived')
			{
			?>
			<div class="row" style="margin-bottom:15px;">
				<div class="span9">
					<label class="checkbox">
						<input type="checkbox" name="supersede_cn" id="supersede_cn" value="Y">
						This will supersede Control No.
					</label>
					<strong><?php echo $supersede_control_no;?></strong>
					<input type="hidden" name="control_no_supersede" id="control_no_supersede" value="<?php echo $supersede_control_no;?>">
					<?php /*
					<?php echo Form::input('control_no_supersede', is_object($page) ? html_entity_decode($page->control_no) : NULL, array('class'=>'span4', 'id'=>'control_no_supersede'));?>
					*/ ?>
				</div>
			</div>
			<?php
			}
			else
			{
			?>
			<div class="row">
				<div class="span9">
					<label><strong>Control No:</strong></label>
					<label><?php echo $page->control_no;?></label>
				</div>
			</div>
			<?php
			}
			?>
			<div class="row">
				<div class="span9">
					<label>Select Content Type:</label>
					<?php echo Form::select('content_type', $arr_content_types, $page->content_type_id, array('class'=>'required', 'id'=>'content_type'));?>
				</div>
			</div>
			<div id="form-content">
			</div>
		</fieldset>
		<input type="hidden" name="btn_clicked" id="btn_clicked" value="" />
		<input type="hidden" name="content_type" value="<?php echo $content_type_id;?>" />
		<input type="hidden" name="id" id="id" value="<?php echo $page->id;?>" />
		<input type="hidden" name="token" id="token" value="<?php echo Security::token(true);?>" />
		<input type="hidden" name="navlink" id="navlink" value="" />
		<input type="hidden" name="copy_from" id="copy_from" value="<?php echo $copy_from;?>" />
		<?php
		// For Create New Copy feature
		if ($status == 'create-new-copy') {
		?>
		<input type="hidden" name="stat" id="stat" value="create-new-copy" />
		<?php
		}
		?>
		<?php echo Form::close();?>
	</div>
</div>
<?php
if ($page_comments->count())
{
?>
<div class="row">
	<div class="span9">
		<a href="javascript:;" id="div-comments"><h4>Comments</h4></a>
	</div>
</div>
<div class="row" id="page-comments" style="display:none;">
	<div class="span9">
		<table class="table table-hover table-condensed" style="font-size:12px;">
			<tbody>
			<?php
			foreach ($page_comments as $c)
			{
			?>
			<tr>
				<td valign="top">
					<?php echo $c->user->username.' '.$c->user->name;?><br />
					<?php echo date('m/d/Y h:i a', strtotime($c->comment_date));?>
				</td>
				<td valign="top"><?php echo html_entity_decode($c->comment);?></td>
			</tr>
			<?php
			}
			?>
			</tbody>
		</table>
	</div>
</div>
<?php
}
?>
<div class="row">
	<div class="span9">
		<a href="javascript:;" id="div-history"><h4>Document History</h4></a>
	</div>
</div>
<div class="row" id="document-history" style="display:none;">
	<div class="span9">
		<table class="table table-hover table-condensed" style="font-size:12px;">
			<thead>
				<th>Date and Time</th>
				<th>Name of User</th>
				<th>Role</th>
				<th>Action</th>
			</thead>
			<tbody>
			<?php
			foreach ($doc_history as $dh)
			{
			?>
			<tr>
				<td><?php echo Date('m/d/Y h:i a', strtotime($dh->date_added));?></td>
				<td><?php echo $dh->user_name;?></td>
				<td><?php echo $dh->role;?></td>
				<td><?php echo $dh->description;?></td>
			</tr>
			<?php
			}
			?>
			</tbody>
		</table>
	</div>
</div>
<script src="<?php echo URL::site('assets/js/jquery-ui-1.10.2.custom.min.js');?>"></script>
<link href="<?php echo URL::site('assets/css/smoothness/jquery-ui-1.10.2.custom.min.css');?>" rel="stylesheet">
<script src="<?php echo URL::site('assets/colorbox/jquery.colorbox-min.js');?>"></script>
<link href="<?php echo URL::site('assets/colorbox/colorbox.css');?>" rel="stylesheet">
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document).ready(function() {
	$('#content_type').change(function() {
		$.post("<?php echo URL::site('admin/cms/get_content_type');?>", {type: $(this).val(), id: $('#id').val()},
			function(htm) {
				$('#form-content').html(htm);
				$('#content_type').prop('disabled', 'disabled');
			})
	});

	$('#_form').validate({
		// onfocusout: false,
		rules: {
			content_type: {valueNotEquals: 0},
			category: {valueNotEquals: 0},
			enddate: {
				greaterThan: "#startdate",
				equalDate: "#startdate"
			}
		},
		messages: {
			content_type: "Please select a Content Type",
			category: "Please select a Category",
			startdate: {
				required: 'Please input a Start Date for this request',
				currentDate: 'Start Date should not be earlier than current date'
			},
			enddate: {
				required: 'Please input an End Date for this request',
				currentDate: 'End Date should not be earlier than current date',
				greaterThan: 'End Date should not be earlier than Start Date',
				equalDate: 'End Date should not be equal to the Start Date'
			},
			template_id: 'Please select a default template for this page'
		},
		ignore: "",
		errorPlacement: function (error, element) {
			if (element.hasClass("htmlEditor")) {
				error.insertAfter(element.next());
			}
			else {
				error.insertAfter(element);
			}
		},
		submitHandler: function(form) {
			var btn = $('#btn_clicked').val();

			var content_type = $('#content_type').val();

			if ((content_type == 1 || content_type > 7) && btn != 'btn-preview')
			{
				var cn;
				var check = check_navstring();
				cn = check.success(function (data) {
					return data;
				});

				var r = cn.responseText.split('|');

				var ccn = r[2];
				if (r[0] == 1) {
					if (r[1] == 'Published')
					{
						if (r[4] == 'alert2')
						{
							alert('Your chosen hierarchy already has an existing info page posting.\n\nPlease tick the supersede option if you want to replace the published info page posting with Control Number '+ccn+'.\nOtherwise, select a different hierarchy for your posting.');
							return false;
						}
						else if (r[4] == 'confirm')
						{
							if (confirm('Your chosen hierarchy already has an existing info page posting. Do you want to edit the published info page posting instead?\n\nClick OK to clear all progress and go to the published page. Otherwise, click Cancel to select a different hierarchy for your posting.'))
							{
								page_id = r[3];
								window.location.href = "<?php echo URL::site('admin/cms/view');?>/"+page_id;
							}
							return false;
						}
						else if (r[4] == 'alert3')
						{
							alert('Your chosen hierarchy does not match the hierarchy of Control Number '+ccn+'.\n\nIf you want to replace the published info page posting, please use the same hierarchy. Otherwise, uncheck the supersede option.');
							return false;
						}
					}
					else
					{
						var status = r[1];
						alert('Your chosen hierarchy already is already used.\n\nStatus: '+status+'\nControl No.: '+ccn);

						return false;
					}
				}
				else
				{
					if (r[4] == 'alert3')
					{
						alert('Your chosen hierarchy does not match the hierarchy of Control Number '+ccn+'.\n\nIf you want to replace the published info page posting, please use the same hierarchy. Otherwise, uncheck the supersede option.');
						return false;
					}
				}
			}

			if (btn == 'btn-submitted')
			{
				if (confirm('Do you want to submit posting request for checking?'))
				{
					form.submit();
				}
			}
			else
			{
				form.submit();
			}
		}
	});

	$('#content_type').change();

	// check if form has been modified
	formmodified=0;
	tplselect=0;
	$('form *').change(function(){
		formmodified=1;
	});

	$('#div-history').click(function(){
		$('#document-history').toggle();
	});

	$('#div-comments').click(function(){
		$('#page-comments').toggle();
	});

	check_navstring = function() {
		var content_type = $('#content_type').val();
		var category = $('#category').val();
		var sub_category1 = $('#sub_category1').val();
		var sub_category2 = $('#sub_category2').val();
		var sub_category3 = $('#sub_category3').val();
		var page_id = $('#id').val();
		var copy_from = $('#copy_from').val();
		var ccn_supersede = $('#control_no_supersede').val();
		var supersede = $('#supersede_cn').is(':checked');
		var status = "<?php echo $status;?>";

		return $.ajax({
			url: "<?php echo URL::site('admin/cms/check_navstring');?>",
			type: 'POST',
			data: {content_type: content_type, category: category, sub_category1: sub_category1, sub_category2: sub_category2, sub_category3: sub_category3, pid: page_id, copy_from: copy_from, supersede: supersede, ccn_supersede: ccn_supersede, status: status},
			async: false
		});
	}
});

$(document).on('change', '#category', function(){
	var categ_id = $(this).val();

	$.post("<?php echo URL::site('admin/cms/category_change');?>", {categ_id: categ_id, content_type: $('#content_type').val(), page_id: $('#id').val()},
		function(h){
			$('#div-content').html('');
			$('#div-content').html(h);
		}
	);
});

// Get subcategory of a subcategory
$(document).on('change', '.subcateg', function(){
	var category_id = $('#category').val();
	var parent_id = $(this).val();
	var level = $(this).attr('data-level');
	var nxtlevel = parseInt(level) + 1;
	if (level)
	{
		for(var i = nxtlevel + 1; i <= 3; i++)
		{
			$('#subcateg'+i).html('');
		}

		$.post("<?php echo URL::site('admin/cms/get_subcategory');?>", {category_id: category_id, parent_id: parent_id, level: level},
			function(h){
				$('#subcateg'+nxtlevel).html(h);
			}
		);
	}
});

// delete request
$(document).on('click', '#btn-del', function(e){
	var page_id = $('#id').val();
	var token = $('#token').val();

	if (confirm('This request will be deleted. Do you wish to Continue?'))
	{
		$.post("<?php echo URL::site('admin/cms/delete_request');?>", {page_id: page_id, token: token}, function(){
			window.location.href="<?php echo URL::site('admin/cms');?>";
		}, 'json');
	};
});

// display list of templates available
$(document).on('click', '#select-tpl', function(){
	var category_id = $('#category').val();
	var tpl_list = $('#tpl_list').val();
	$.colorbox({
  		href: "<?php echo URL::site('admin/cms/select_template');?>",
  		data: {tpl_list: tpl_list},
  		height: 350
  	});
});

// template select
$(document).on('click', '.thumbnail', function(e){
	var tpl_id = $(this).attr('id');
	var category_id = $('#category').val();
	var content_type_id = $('#content_type').val();
	var cur_tpl_id = $('#cur_tpl_id').val();

	if (content_type_id != 3 && (tplselect == 1 || cur_tpl_id > 0))
	{
		if (confirm('Selecting a different template will clear all your entries. Do you wish to Continue?'))
		{
			$.post("<?php echo URL::site('admin/cms/set_template');?>", {tpl_id: tpl_id, category_id: category_id, content_type_id: content_type_id},
				function(h){
					$('#div-tpl').html(h.html);
					$('#current-tpl').html(h.tpl);
					$('#template_id').val(h.tpl_id);
					$.colorbox.close();
				},'json'
			);
		} else {
			$.colorbox.close();
		}
	} else {
		$.post("<?php echo URL::site('admin/cms/set_template');?>", {tpl_id: tpl_id, category_id: category_id, content_type_id: content_type_id},
			function(h){
				$('#div-tpl').html(h.html);
				$('#current-tpl').html(h.tpl);
				$('#template_id').val(h.tpl_id);
				$.colorbox.close();
			},'json'
		);
	}
	tplselect = 1;
});

$(document).on('click', ':button', function(e){
	var btn_clicked = $(this).attr('id');
	$('#btn_clicked').val(btn_clicked);

	$("#_form").validate().cancelSubmit = false;
	$('#startdate').addClass('required');
	$('#enddate').addClass('required');

	if (btn_clicked == 'btn-clear')
	{
		/*
		for ( var i in CKEDITOR.instances ){
   		var editor = i;
		   if (CKEDITOR.instances[editor].checkDirty())
			{
				var body = $('#'+editor+'_hidden').val();
				CKEDITOR.instances[editor].setData(body);
			}
		}
		*/
		window.location.reload();
	}

	$("#_form").attr('action', "<?php echo URL::site('admin/cms/save');?>");
	$("#_form").attr('target', "_self");

	if (btn_clicked == 'btn-preview')
	{
		$('#startdate').removeClass('required');
		$('#enddate').removeClass('required');
		// $('#enddate').rules("remove", "greaterThan");

		$("#_form").attr('action', "<?php echo URL::site('preview/new_page');?>");
		$("#_form").attr('target', "_blank");
		$("#_form").submit();
	} else if (btn_clicked == 'btn-draft') {
		// remove validation of start date and end date
		$("#_form").validate().cancelSubmit = true;
		var categ = $('#category').val();

		for ( instance in CKEDITOR.instances ) {
    		CKEDITOR.instances[instance].updateElement();
    	}

		if (categ == 0)
		{
			alert('Please input a Category for this request');
			e.preventDefault();
		}
	}
});

$(document).on('change', '.adbanner', function(){
	var fieldname = $(this).attr('rel');
	var limit = $('#c_'+fieldname).val();

	if ($(this).val().length > limit)
	{
		alert('You may only select '+limit+' ad banner for this page');
		$('option:selected:last', this).removeAttr('selected');
	}
});

$(document).on('click', '#close-form', function(e){
	if (confirm('Entries will be cleared. Do you want to save as Draft?')) {
		e.preventDefault();

		$('#navlink').val('close');
		$('#btn_clicked').val('btn-draft');
		for ( instance in CKEDITOR.instances ) {
     		CKEDITOR.instances[instance].updateElement();
     	}
     	/*
		$.post("<?php echo URL::site('admin/cms/save');?>", $('#_form').serialize(), function(){
			window.location.href="<?php echo URL::site('admin/cms');?>";
		});
		*/
		$("#_form").validate().cancelSubmit = true;
		var categ = $('#category').val();

		if (categ == 0)
		{
			alert('Please input a Category for this request');
		} else {
			$("#_form").attr('target', "_self");
			$("#_form").attr('action', "<?php echo URL::site('admin/cms/save');?>");
			$('#_form').submit();
		}

	} else {
		window.location.href="<?php echo URL::site('admin/cms');?>";
	}
});

// clicked Navigation link when user creating a page
$(document).on('click', '.navlink', function(e){
	for (var i in CKEDITOR.instances){
		var editor = i;
		var ckchange = 0;
	   if (CKEDITOR.instances[editor].checkDirty())
		{
			var ckchange=1;
		}
		if (ckchange) break;
	}
	if (formmodified || ckchange)
	{
		if (confirm('Entries will be cleared. Do you want to save as Draft?')) {
			e.preventDefault();

			$('#navlink').val($(this).attr('rel'));
			$('#btn_clicked').val('btn-draft');
			for ( instance in CKEDITOR.instances ) {
        		CKEDITOR.instances[instance].updateElement();
        	}
        	/*
			$.post("<?php echo URL::site('admin/cms/save');?>", $('#_form').serialize(), function(){
				window.location.href="<?php echo URL::site('admin/cms');?>";
			});
			*/
			var categ = $('#category').val();

			if (categ == 0)
			{
				alert('Please input a Category for this request');
			} else {
				$("#_form").validate().cancelSubmit = true;
				$("#_form").attr('target', "_self");
				$("#_form").attr('action', "<?php echo URL::site('admin/cms/save');?>");
				$('#_form').submit();
			}
		} else {
			window.location.href="<?php echo URL::site('admin/cms');?>";
		}
	}
});

$(document).on('click', '#layout-prev', function(){
	var content_type = $('#content_type').val();

	$('#btn_clicked').val('');
	$('#startdate').removeClass('required');
	$('#enddate').removeClass('required');
	$('#enddate').rules("remove", "greaterThan");

	if (content_type == 4) {
		$("#_form").attr('action', "<?php echo URL::site('preview/promo_layout');?>");
	} else if (content_type == 5) {
		$("#_form").attr('action', "<?php echo URL::site('preview/client_update_layout');?>");
	} else if (content_type == 6) {
		$("#_form").attr('action', "<?php echo URL::site('preview/splash_page_layout');?>");
	}

	$("#_form").attr('target', "_blank");
	$("#_form").submit();
});

$(document).on('click', '.rem-img', function(){
	if (confirm('Are you sure you want to remove this file?'))
	{
		var page_id = $(this).attr('id');
		var field = $(this).attr('data-ref');
		var file = $(this).attr('rel');
		var doclabel = $(this).attr('data-ref2');

		$.post("<?php echo URL::site('admin/cms/remove_file');?>", {page_id: page_id, field: field, file: file},
			function(data) {
				if (data) {
					$('#d_'+field).hide();
					$('input:file#'+field).addClass('required');
					if (doclabel)
					{
						$('#'+doclabel).val('');
					}
				}
			}, 'json'
		);
	}
});

$(document).on('click', '#check-navtree', function(){
	var cn;
	var check = check_navstring();
	cn = check.success(function (data) {
		return data;
	});

	var r = cn.responseText.split('|');

	var ccn = r[2];
	if (r[0] == 1) {
		if (r[1] == 'Published')
		{
			if (r[4] == 'alert2')
			{
				alert('Your chosen hierarchy already has an existing info page posting.\n\nPlease tick the supersede option if you want to replace the published info page posting with Control Number '+ccn+'.\nOtherwise, select a different hierarchy for your posting.');
			}
			else if (r[4] == 'confirm')
			{
				if (confirm('Your chosen hierarchy already has an existing info page posting. Do you want to edit the published info page posting instead?\n\nClick OK to clear all progress and go to the published page. Otherwise, click Cancel to select a different hierarchy for your posting.'))
				{
					page_id = r[3];
					window.location.href = "<?php echo URL::site('admin/cms/view');?>/"+page_id;
				}
			}
			else if (r[4] == 'alert3')
			{
				alert('Your chosen hierarchy does not match the hierarchy of Control Number '+ccn+'.\n\nIf you want to replace the published info page posting, please use the same hierarchy. Otherwise, uncheck the supersede option.');
			}
			else
			{
				alert('Your chosen hierarchy is not yet used');
			}
		}
		else
		{
			var status = r[1];
			alert('Your chosen hierarchy is already used.\n\nStatus: '+status+'\nControl No.: '+ccn);
		}
	}
	else
	{
		if (r[4] == 'alert3')
		{
			alert('Your chosen hierarchy does not match the hierarchy of Control Number '+ccn+'.\n\nIf you want to replace the published info page posting, please use the same hierarchy. Otherwise, uncheck the supersede option.');
		}
		else
		{
			alert('Your chosen hierarchy is not yet used');
		}
	}
});
</script>