<div class="row">
	<div class="span9">
		<label>Category:</label>
		<?php echo Form::select('category', $arr_categories, Arr::get($data, 'category_id', NULL), array('class'=>'required', 'id'=>'category'));?>
	</div>
</div>
<div id="div-content">
</div>
<div id="div-tpl">
</div>
<div class="row">
	<div class="span9">
		<label>Meta Title</label>
		<?php echo Form::input('meta_title', Arr::get($data, 'meta_title', NULL), array('class'=>'span4 required', 'id'=>'meta_title', 'maxlength'=>255));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<label>Meta Description</label>
		<?php echo Form::textarea('meta_description', Arr::get($data, 'meta_description', NULL), array('class'=>'span5 required', 'id'=>'meta_description', 'style'=>'height:120px', 'maxlength'=>500));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<label>Meta Keyword</label>
		<?php echo Form::input('meta_keyword', Arr::get($data, 'meta_keyword', NULL), array('class'=>'span4 required', 'id'=>'meta_keyword', 'maxlength'=>500));?>
	</div>
</div>
<div class="row">
	<div class="span2">
		<label>Start Date</label>
		<?php echo Form::input('startdate', Arr::get($data, 'start_date', NULL), array('class'=>'span2 required currentDate', 'id'=>'startdate'));?>
	</div>
	<div class="span2">
		<label>End Date</label>
		<?php echo Form::input('enddate', Arr::get($data, 'end_date', NULL), array('class'=>'span2 required currentDate', 'id'=>'enddate'));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<div class="form-actions">
			<button class="btn btn-success" type="submit" id="btn-submitted">Submit for Checking</button>
			<button class="btn btn-warning" type="button" id="btn-preview">Preview</button>
			<button class="btn btn-info" type="submit" id="btn-draft">Save</button>
			<button class="btn btn-inverse" type="reset" id="btn-clear">Clear All Fields</button>
			<button class="btn btn-danger" type="button" id="btn-del">Delete this Request</button>
		</div>
	</div>
</div>
<script type="text/javascript">
$(document).ready(function(){
	$('#startdate').datepicker({
		minDate: 0,
		onClose: function(selectedDate){
			var date = new Date(selectedDate);
			date.setDate(date.getDate() + 1);
			$("#enddate").datepicker("option", "minDate", date);
		}
	});

	$('#enddate').datepicker({
		minDate: 1
	});

	<?php
	if ($content_type == 1 AND $page_id)
	{
	?>
		$('#category').change();
	<?php
	}
	?>

	$(document).on('click', '.cms-list', function(){
		var target_id = $(this).attr('rel');
		$.colorbox({
			href: "<?php echo URL::site('admin/cms/cms_list');?>",
			data: {target_id: target_id}
		});
	});

	// color box, close button
	$(document).on('click', '#cbox-btn-close', function(){
		$.colorbox.close();
	});
})
</script>