<div class="row">
	<div class="span9">
		<label>Promo Category:</label>
		<?php echo Form::select('product_category', $arr_prod_categ, Arr::get($data, 'product_category', NULL), array('class'=>'required', 'id'=>'product_category'));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<label>Category:</label>
		<?php echo Form::select('category', $arr_categories, Arr::get($data, 'category_id', NULL), array('class'=>'required', 'id'=>'category'));?>
	</div>
</div>
<div id="div-content">
</div>
<div class="row">
	<div class="span9">
		<label>Promo Layout/Preview</label>
		<a href="javascript:;" id="layout-prev"><img src="<?php echo URL::site('assets/img/magnifying_glass.png');?>" border="0" /></a>
	</div>
</div>
<div class="row">
	<div class="span9">
	<?php
	$params = array('class'=>'span4 required titlefield', 'id'=>'title');
	if (Arr::get($data, 'charlimit') AND Arr::get($data, 'charlimit') > 0)
	{
		$params['maxlength'] = Arr::get($data, 'charlimit');
	}
	echo Form::label('title', 'Title');
	echo Form::input('title', Arr::get($data, 'title', NULL), $params);
	?>
	</div>
</div>
<div class="row">
	<div class="span9">
	<?php
	$file_info = '<span class="help-block"><small>JPEG, PNG, or GIF files only</small></span>';
	echo Form::label('image5', 'Promo Thumbnail Image'.$file_info);
	?>
	<?php
	$promo_thumbnail = Arr::get($data, 'promo_thumbnail');
	$required = 'required';
	if ($promo_thumbnail and is_file(DOCROOT.'/media/uploads/'.$promo_thumbnail))
	{
		$required = '';
	?>
		<div style="margin-bottom:5px;" id="d_image5">
			<img src="<?php echo URL::site('media/uploads/'.$promo_thumbnail);?>" /><?php /*<br /><a href="javascript:;" data-ref="image5" id="<?php echo $page_id;?>" rel="<?php echo $promo_thumbnail;?>" class="rem-img">Remove</a>*/?>
			<input type="hidden" name="image5_hid" value="<?php echo $promo_thumbnail;?>" />
		</div>
	<?php
	}
	?>
	<?php /*
	<div class="fileupload fileupload-new" data-provides="fileupload">
  		<div class="input-append">
    		<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><input type="file" name="image5" id="image5" class="<?php echo $required;?>" /></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
  		</div>
  		<label class="error" for="image5" style="display:none;">This field is required.</label>
	</div>
	*/ ?>
	<input type="file" id="image5" name="image5" class="<?php echo $required;?>" onChange="fileUpload(this.form, '<?php echo URL::site('admin/cms/upload_file/image5/img');?>', 'image5'); return false;" />
	<div id="div_image5" style="color:#f33; font-style:italic;"></div>
	<input type="hidden" name="file_image5" id="file_image5" value="<?php echo $promo_thumbnail;?>">
	<label class="error" id="div_image5" for="image5"></label>
	</div>
</div>
<div class="row">
	<div class="span9">
	<?php
	echo Form::label('body4', 'Promo Description');
	echo Form::textarea('body4', Arr::get($data, 'promo_desc', NULL), array('class'=>'span3 htmlEditor', 'id'=>'body4'));
	echo '<br />';
	?>
	<script>
		CKEDITOR.replace("body4", {
			width: 700
		});
	</script>
	</div>
</div>
<div class="row">
	<div class="span9">
		<a href="javascript:void(0);" id="thumbnail-link">Attach Thumbnail Link</a> OR
		<a href="javascript:void(0);" id="mechanics-link">Create Promo Mechanics</a>
	</div>
</div>
<div id="thumbnail-content" style="display:none;"></div>
<div id="mechanics-content" style="display:none;"></div>
<div class="row">
	<div class="span9">
		<label>Meta Title</label>
		<?php echo Form::input('meta_title', Arr::get($data, 'meta_title', NULL), array('class'=>'span4 required', 'id'=>'meta_title', 'maxlength'=>255));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<label>Meta Description</label>
		<?php echo Form::textarea('meta_description', Arr::get($data, 'meta_description', NULL), array('class'=>'span5 required', 'id'=>'meta_description', 'style'=>'height:120px', 'maxlength'=>500));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<label>Meta Keyword</label>
		<?php echo Form::input('meta_keyword', Arr::get($data, 'meta_keyword', NULL), array('class'=>'span4 required', 'id'=>'meta_keyword', 'maxlength'=>500));?>
	</div>
</div>
<div class="row" id="cal">
	<div class="span2">
		<label>Start Date</label>
		<?php echo Form::input('startdate', Arr::get($data, 'start_date', NULL), array('class'=>'span2 required currentDate', 'id'=>'startdate'));?>
	</div>
	<div class="span2">
		<label>End Date</label>
		<?php echo Form::input('enddate', Arr::get($data, 'end_date', NULL), array('class'=>'span2 required currentDate', 'id'=>'enddate'));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<div class="form-actions">
			<button class="btn btn-success" type="submit" id="btn-submitted">Submit for Checking</button>
			<button class="btn btn-warning" type="button" id="btn-preview">Preview</button>
			<button class="btn btn-info" type="submit" id="btn-draft">Save</button>
			<button class="btn btn-inverse" type="reset" id="btn-clear">Clear All Fields</button>
			<button class="btn btn-danger" type="button" id="btn-del">Delete this Request</button>
		</div>
	</div>
</div>
<input type="hidden" name="mechanics_click" id="mechanics_click" value="">
<script type="text/javascript">
$(document).ready(function(){
	$('#startdate').datepicker({
		minDate: 0,
		onClose: function(selectedDate){
			var date = new Date(selectedDate);
			date.setDate(date.getDate() + 1);
			$("#enddate").datepicker("option", "minDate", date);
		}
	});

	$('#enddate').datepicker({
		minDate: 1
	});

	$('#thumbnail-link').click(function(){
		var category_id = $('#category').val();
		var content_type_id = $('#content_type').val();
		$.post("<?php echo URL::site('admin/cms/promo_mechanics');?>", {type: 'link', page_id: <?php echo $page_id;?>, category_id: category_id, content_type_id: content_type_id}, function(data){
			$('#thumbnail-content').html(data).show();
			$('#mechanics-content').html('').hide();
			$('#mechanics_click').val('thumbnail-link');
		})
	});

	$('#mechanics-link').click(function(){
		var category_id = $('#category').val();
		var content_type_id = $('#content_type').val();
		$.post("<?php echo URL::site('admin/cms/promo_mechanics');?>", {type: 'form', page_id: <?php echo $page_id;?>, category_id: category_id, content_type_id: content_type_id}, function(data){
			$('#thumbnail-content').html('').hide();
			$('#mechanics-content').html(data).show();
			$('#mechanics_click').val('mechanics-link');
		})
	});

	$('#title').rules('add', {
		messages: {
			required: "Please input a Title for this request"
		}
	});

	$('#product_category').rules('add', {
		messages: {
			required: "Please select a Promo Category"
		}
	});

	$('#image5').rules('add', {
		extension: "png|jpg|gif",
		messages: {
			required: "Please attach a Promo Thumbnail Image for this request",
			extension: 'File type should be JPG, PNG, or GIF only'
		}
	});

	$('#body4').rules('add', {
		messages: {
			htmlEditor: "Please input a Promo Description for this request"
		}
	});

	var mechanics = '<?php echo Arr::get($data, 'mechanics');?>';
	if (mechanics)
	{
		$('#'+mechanics).click();
		formmodified=1;
	}

	<?php
	if ($page_id)
	{
	?>
		$('#category').change();
	<?php
	}
	?>
})
</script>