<div class="well well-large">
	<ul class="sortable" style="list-style-type: none; margin: 0; padding: 0;">
<?php
foreach ($sql as $res)
{
?>
	<li id="tr_<?php echo $res->id;?>">
		<label class="radio">
			<i class="icon-move">&nbsp;</i>
			<input type="radio" class="menuname" name="menu" value="<?php echo $res->id;?>" />
			<a href="javascript:;" class="menu" id="<?php echo $res->id;?>"><?php echo $res->action;?></a>
		</label>
	</li>
<?php
}
?>
	</ul>
	<div id="menu-form" style="display:none;">
		<?php echo Form::open('admin/menu/save_menu', array('id'=>'_form-menu'));?>
			<label>Add Menu</label>
			<input type="text" name="menu" placeholder="Type something…" class="span3" id="menu_name">
			<p>
				<button type="submit" id="btn-save" class="btn btn-success btn-small">Save</button>
				<button type="button" id="btn-back" class="btn btn-small">Back</button>
			</p>
			<input type="hidden" name="segment_id" value="<?php echo $segment_id;?>" />
			<input type="hidden" name="token" value="<?php echo Security::token();?>" />
		<?php echo Form::close();?>
	</div>
	<div id="menu-form2" style="display:none; margin-top:15px;">
		<?php echo Form::open('admin/menu/update_menu', array('id'=>'_form-menu2'));?>
			<div style="display:none;" id="rename"><input type="text" name="menu" placeholder="Type something…" class="span3" id="menu_rename"></div>
			<p id="update-buttons">
				<button type="button" id="btn-rename" class="btn btn-primary btn-small">Rename</button>
				<button type="button" id="btn-del" class="btn btn-danger btn-small">Delete</button>
			</p>
			<input type="hidden" name="menu_id" id="menu_id" />
			<input type="hidden" name="segment_id" value="<?php echo $segment_id;?>" />
			<input type="hidden" name="token" value="<?php echo Security::token();?>" />
		<?php echo Form::close();?>
	</div>
	<div id="div-add" style="margin-top:20px;">
		<button type="button" id="btn-add" class="btn btn-primary btn-small">Add</button>
		<a href="<?php echo URL::site('home/menu/'.URL::title(Arr::get(MyHelper::segments(), $segment_id)));?>" target="_blank" id="btn-preview" class="btn btn-info btn-small">Preview</a>
	</div>
</div>
<script src="<?php echo URL::site('assets/js/jquery-ui-1.10.2.custom.min.js');?>"></script>
<script type="text/javascript">
$(document).ready(function(){
	$('.icon-move').css('cursor', 'move');

	$(function() {
		$( ".sortable" ).sortable({
			cursor: 'move',
			update: function(event, ui) {
	            var newOrder = $(this).sortable('toArray').toString();
	            $.post("<?php echo URL::site('admin/menu/sort');?>", {data: newOrder});
	        }
		}).children();
	});
});
</script>