<div class="row">
	<div class="span3">
		<strong>Category</strong><br />
		<?php echo Form::select('category', $arr_category, NULL, array('class'=>'span3', 'id'=>'categ', 'data-for'=>'sub1'));?>
	</div>
	<div class="span3" id="sub1">
	</div>
	<div class="span3" id="sub2">
	</div>
	<div class="span3" id="sub3">
	</div>
</div>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document).on('change', '#categ', function(){
	var categ_id = $(this).val();
	var data_for = $(this).attr('data-for');

	$('#sub2').html('');
	$('#sub3').html('');
	if (categ_id > 0)
	{
		$.post("<?php echo URL::site('admin/navtree/get_category');?>", {categ_id: categ_id, level: data_for, parent_id: 0},
			function(htm){
				$('#'+data_for).html(htm);
			}
		);
	} else {
		$('#'+data_for).html('');
	}
});

// Add Sub-Category button is clicked
$(document).on('click', '.btn-add-categ', function(){
	var level = $(this).attr('data-level');

	$.post("<?php echo URL::site('admin/navtree/add_category');?>", {level: level},
		function(htm){
			$('#categ-field-'+level).html(htm).fadeIn();
			$('#btn-add-'+level).hide();
		}
	);
});

// Back button is clicked in the add sub category form
$(document).on('click', '.btn-back-categ', function(){
	var level = $(this).attr('data-level');

	$('#categ-field-'+level).hide();
	$('#btn-add-'+level).show();
});

// Validate Add Sub-Category
$(document).on('click', '.btn-save-categ', function(e){
	var level = $(this).attr('data-level');
	var form = $('#_categ-form-'+level);
	form.validate({
		rules: {
			subcateg_name: {
				required: true,
				maxlength: 70,
				remote: {
					url: "<?php echo URL::site('admin/navtree/check');?>",
					type: "post"
				},
				textfield: true
			}
		},
		messages: {
			subcateg_name: {
				required: 'Please input a Sub-Category name',
				remote: 'The Sub-Category name you defined already exists. Please input a unique Sub-Category name.'
			}
		},
		submitHandler: function(form) {
			if (!confirm('Do you wish to save your changes?'))
			{
				e.preventDefault();
				$('.btn-back-categ').click();
			} else {
				form.submit();
			}
		}
	});
});

// Validate Edit Sub-Category
$(document).on('click', '.btn-update-categ', function(e){
	var level = $(this).attr('data-level');
	var form = $('#_categ-form-'+level);
	form.validate({
		rules: {
			subcateg_name: {
				required: true,
				maxlength: 70,
				notEqual: '#orig_name_'+level,
				remote: {
					url: "<?php echo URL::site('admin/navtree/check');?>",
					type: "post"
				},
				textfield: true
			}
		},
		messages: {
			subcateg_name: {
				required: 'Please input a Sub-Category name',
				remote: 'The Sub-Category name you defined already exists. Please input a unique Sub-Category name.'
			}
		}
	});

	if (form.valid())
	{
		if (!confirm('Do you wish to save your changes?'))
		{
			e.preventDefault();
			$('.btn-back-update-categ').click();
		}
	}
});

// Edit Subcategory button is clicked
$(document).on('click', '.btn-edit-categ', function(){
	var level = $(this).attr('data-level');
	var data_for = $(this).attr('data-for');
	// get selected category id
	var sub_id = $('#subcategory-'+level).val();
	var name = $('#subcategory-'+level+' option:selected').text();

	$.post("<?php echo URL::site('admin/navtree/edit_category');?>", {sub_id: sub_id, level: level, name: name, data_for: data_for},
		function(htm){
			$('#categ-field-'+level).html(htm).fadeIn();
			$('#'+data_for).hide();
			if (data_for == 'sub2')
			{
				$('#sub3').hide();
			}
		}
	);

	$('#btn-edit-'+level).hide();
});

// Back button is clicked in the edit sub category form
$(document).on('click', '.btn-back-update-categ', function(){
	var level = $(this).attr('data-level');
	var data_for = $(this).attr('data-for');

	$('#categ-field-'+level).hide();
	$('#btn-edit-'+level).show();
	$('#'+data_for).show();
	if (data_for == 'sub2')
	{
		$('#sub3').show();
	}
});

$(document).on('change', '.subcategory', function(){
	var categ_id = $(this).val();
	var data_for = $(this).attr('data-for');
	var data_level = $(this).attr('data-level');
	var category_id = $('#category_id').val();

	if (categ_id > 0)
	{
		// open the next subcategory dropdown select
		$.post("<?php echo URL::site('admin/navtree/get_category');?>", {categ_id: categ_id, level: data_for, parent_id: categ_id, category_id: category_id},
			function(htm){
				$('#'+data_for).html(htm);
			}
		);

		// displays the edit/delete button for the parent subcategory
		$('#btn-add-'+data_level).hide();
		$('#btn-edit-'+data_level).show();
		$('#categ-field-'+data_level).hide();
	} else {
		$('#'+data_for).html('');
		$('#btn-add-'+data_level).show();
		$('#btn-edit-'+data_level).hide();
		$('#categ-field-'+data_level).hide();

		if (data_for == 'sub2')
		{
			$('#sub3').html('');
		}
	}
});

$(document).on('click', '.btn-delete-categ', function(){
	var level = $(this).attr('data-level');
	var categ_id = $('#subcategory-'+level).val();
	var categ_name = $('#categ option:selected').text();

	var str = '';
	if (level > 1)
	{
		for(var d=1; d<=level; d++)
		{
			var cname = $('#subcategory-'+d+' option:selected').text();
			var str1 = 'Sub-Category '+d+': '+cname;
			str += '\n'+str1;
		}
	}

	if (confirm('Are you sure you want to delete navigation?\n\nCategory: '+categ_name+str))
	{
		$.post("<?php echo URL::site('admin/navtree/delete_category');?>", {categ_id: categ_id, level: level},
			function(d){
				if (d > 0) {
					window.location.reload();
				} else {
					alert('An error occurred while deleting a Sub-Category');
				}
			}
		);
	}
});
</script>