<div class="row">
	<div class="span9">
		<div id="notice" class="alert-error alert" style="display:none;">
			<a href="javascript:void(0);" class="close">&times;</a>
			Unable to delete.  Please try again.
		</div>
		<fieldset>
		<legend>
			<span>Users</span> <small><em>List of Administrator</em></small>
			<span class="pull-right">
			<?php echo Form::open('admin/users/search', array('id'=>'_form', 'style'=>'margin-bottom:0px;'));?>
				<div class="input-append">
				    <input class="span2" placeholder="Search" id="appendedInputButton" type="text" name="search_keyword">
				    <button class="btn" type="submit">Go!</button>
    			</div>
    		<?php echo Form::close();?>
			</span>
		</legend>
		<?php /*
		<?php echo Form::open('admin/users/sort', array('id'=>'_sortform', 'class'=>'form-inline'));?>
			<div>
				<label class="checkbox">Sort By: </label>
			    <?php echo Form::select('sort_field', $sort_fields, Session::instance()->get('s_sort_field') ? Session::instance()->get('s_sort_field') : NULL);?>
			    <?php echo Form::select('sort_by', array('DESC'=>'Descending', 'ASC'=>'Ascending'), Session::instance()->get('s_sort_by') ? Session::instance()->get('s_sort_by') : NULL, array('class'=>'span2'));?>
			    <button class="btn" type="submit">Go!</button>
			</div>
		<?php echo Form::close();?>
		*/?>
		<table class="table table-hover tablesorter">
			<thead>
				<th>Name</th>
				<th>Username</th>
				<th>Role</th>
				<th>Email Address</th>
				<th>Last Visit</th>
				<th class="sorter-false">&nbsp;</th>
			</thead>
			<tbody>
			<?php
			foreach($sql as $res)
			{
				$id = $res->id;
				$name = $res->name;
				$username = $res->username;
				$email = $res->email;
				$role = $res->role->name;
				$last_visit = $res->last_visit ? date('m/d/y h:i a', strtotime($res->last_visit)) : '';
				$login_try = $res->login_try;
				$locked = $res->locked;
				$suspended = $res->suspended;
				$max_login_try = $res->max_login_try;
			?>
				<tr id="tr_<?php echo $id;?>">
					<td><a href="<?php echo URL::site('admin/users/edit/'.$id);?>" title="Edit"><?php echo $name;?></a></td>
					<td><?php echo $username;?></td>
					<td><?php echo $role;?></td>
					<td><?php echo $email;?></td>
					<td><?php echo $last_visit;?></td>
					<td style="text-align:right">
						<a href="<?php echo URL::site('admin/logs/index/'.$id);?>" class="btn btn-small btn-warning" title="View User Logs"><i class="icon-folder-open icon-white"></i></a>
					<?php
					if (($login_try >= $int_login_try OR $max_login_try >= $int_max_login_try) OR $locked == 'Y')
					{
					?>
						<a href="<?php echo URL::site('admin/users/reactivate/'.$id);?>" class="btn btn-small btn-info" title="Re-Activate User Account"><i class="icon-thumbs-up icon-white"></i></a>
					<?php
					}
					if ($suspended == 'Y')
					{
					?>
						<a href="<?php echo URL::site('admin/users/unsuspend/'.$id);?>" class="btn btn-small btn-inverse" title="Unsuspend User Account"><i class="icon-ok icon-white"></i></a>
					<?php
					}
					?>
					</td>
				</tr>
			<?php
			}
			?>
			</tbody>
		</table>
		<div class="pager pagination">
			<span class="first"><i class="icon-step-backward"></i></span>
			<span class="prev"><i class="icon-chevron-left"></i></span>
			<span class="pagedisplay"></span> <!-- this can be any element, including an input -->
			<span class="next"><i class="icon-chevron-right"></i></span>
			<span class="last"><i class="icon-step-forward"></i></span>
			<select class="pagesize span1" title="Select page size">
			<option value="10">10</option>
			<option selected="selected" value="20">20</option>
			<option value="30">30</option>
			<option value="40">40</option>
			</select>
		</div>
		<?php /*
		<div class="pagination">
      	<?php echo $pagination;?>
      </div>
      */ ?>
		</fieldset>
	</div>
</div>
<link href="<?php echo URL::site('assets/css/tablesorter.theme.default.css');?>" rel="stylesheet" />
<script src="<?php echo URL::site('assets/js/jquery.tablesorter.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.tablesorter.pager.min.js');?>"></script>
<script type="text/javascript">
$(document).ready(function(){
	var pagerOptions = {
		// target the pager markup - see the HTML block below
		container: $(".pager"),
		// output string - default is '{page}/{totalPages}'; possible variables: {page}, {totalPages}, {startRow}, {endRow} and {totalRows}
		output: '{startRow} - {endRow} of ({totalRows})',
		// if true, the table will remain the same height no matter how many records are displayed. The space is made up by an empty
		// table row set to a height to compensate; default is false
		fixedHeight: false,
		// remove rows from the table to speed up the sort of large tables.
		// setting this to false, only hides the non-visible rows; needed if you plan to add/remove rows with the pager enabled.
		removeRows: false,
		// go to page selector - select dropdown that sets the current page
		cssGoto:         '.gotoPage'
	};

	$('table')
		.tablesorter()
		.tablesorterPager(pagerOptions);

	$(".del_link").click(function(){
		if(confirm('Are you sure you want to remove this Administrator?'))
		{
			var id = $(this).attr('rel');
			$.ajax({
				type: 'POST',
				url: "<?php echo URL::site('admin/users/delete');?>",
				data: {
					id: id
				},
				success: function(res) {
					if (res)
					{
						$("#tr_"+id).slideUp("slow");
					} else {
						$("#notice").slideDown("slow");
					}
				},
				error: function() {
					$("#notice").slideDown("slow");
				},
				dataType: "json"
			});
		}
	});
});
</script>