<?php echo Form::open('forms/send', array('id'=>'_form'));?>
<div class="row">
	<div class="span7"><label class="checkbox" style="padding-left:0px;"><img src="<?php echo URL::site('assets/images/checkmark.gif');?>" /> <strong>Yes</strong>, I would like to discuss business with you.</label></div>
</div>
<div class="row">
	<div class="span7"><label>Please find below my contact information:</label></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Name</label></div>
	<div class="span5"><?php echo Form::input('name', NULL, array('class'=>'span4 required textfield2', 'id'=>'name'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Address</label></div>
	<div class="span5"><?php echo Form::textarea('address', NULL, array('style'=>'width:400px; height:50px;', 'class'=>'required textfield2', 'id'=>'address'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Company Name</label></div>
	<div class="span5"><?php echo Form::input('company_name', NULL, array('class'=>'span4 required textfield2', 'id'=>'company_name'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Industry</label></div>
	<div class="span5"><?php echo Form::input('industry', NULL, array('class'=>'span4 required textfield2', 'id'=>'industry'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">E-mail Address</label></div>
	<div class="span5"><?php echo Form::input('email', NULL, array('class'=>'span4 required email', 'id'=>'email'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Contact Tel. No.</label></div>
	<div class="span5"><?php echo Form::input('telno', NULL, array('class'=>'span4 required textfield2', 'id'=>'telno'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Referred by</label></div>
	<div class="span5"><?php echo Form::input('referred_by', NULL, array('class'=>'span4', 'id'=>'referred_by'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">I'm interested in, please specify.</label></div>
	<div class="span5"><?php echo Form::textarea('interested_in', NULL, array('style'=>'width:450px; height:150px;', 'id'=>'interested_in'));?></div>
</div>
<div class="row">
	<div class="span7">* Please fill out all fields completely.  If not applicable, please put N/A.</div>
</div>
<div class="row" style="margin-top:20px;">
	<div class="span7 offset2">
		<button class="btn btn-success" type="submit" id="btn-submitted">Submit</button>
		<button class="btn btn-info" type="reset" id="btn-clear">Clear</button>
		<button class="btn btn-danger" type="button" id="btn-cancel">Cancel</button>
	</div>
</div>
<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
<?php echo Form::close();?>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<style type="text/css">
	label.error {color: #b11116; font-size:12px;}
</style>
<script type="text/javascript">
$('#_form').validate({
	messages: {
		name: {
			required: 'Name field is empty. This data is required.'
		},
		address: {
			required: 'Address field is empty. This data is required.'
		},
		company_name: {
			required: 'Company Name field is empty. This data is required.'
		},
		industry: {
			required: 'Industry field is empty. This data is required.'
		},
		email: {
			required: 'E-mail Address field is empty. This data is required.',
			email: 'A valid Internet E-mail Address containing \'@\' and \'.\' is required.'
		},
		telno: {
			required: 'Contact Tel. No. field is empty. This data is required.'
		}
	}
});
</script>
