<!DOCTYPE html>
<html lang="en">
<head>
	<title>BPI Express Online</title>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge; IE=9; IE=8;" />
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="description" content="" />
	<meta name="author" content="" />

	<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	<script src="<?php echo URL::site('assets/js/html5shiv.js');?>"></script>
	<![endif]-->

	<script src="<?php echo URL::site('assets/js/jquery-1.10.2.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/bootstrap/js/bootstrap.min.js');?>"></script>
	<?php /*<script src="<?php echo URL::site('assets/bootstrap/js/jasny-bootstrap.min.js');?>"></script>*/?>
	<script src="<?php echo URL::site('assets/ckeditor/ckeditor.js');?>"></script>

	<script src="<?php echo URL::site('assets/js/bootstrap-switch.min.js');?>"></script>

	<link href="<?php echo URL::site('assets/bootstrap/css/bootstrap.css');?>" rel="stylesheet" />
	<?php /*<link href="<?php echo URL::site('assets/bootstrap/css/jasny-bootstrap.css');?>" rel="stylesheet" />*/?>
	<link href="<?php echo URL::site('assets/css/custom.css');?>" rel="stylesheet" />
	<link href="<?php echo URL::site('assets/bootstrap/css/bootstrap-responsive.css');?>" rel="stylesheet" />
	<link href="<?php echo URL::site('assets/css/bootstrap-switch.css');?>" rel="stylesheet" />
</head>

<body>

<div class="navbar navbar-inverse navbar-fixed-top">
    <div class="navbar-inner">
        <div class="container">
            <?php /*
            <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            </button>
            <a class="brand" href="#">BPI EOL</a>
            */ ?>
            <div class="nav-collapse collapse">
                <ul class="nav">
                    <?php /*
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_home' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/home');?>">Home</a></li>
                    */ ?>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_ctype' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/contenttype');?>">Content Type</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_categ' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/category');?>">Category</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_tpl' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/template');?>">Template</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_tree' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/navtree');?>">Nav Tree</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_menu' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/menu');?>">Menu</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_media' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/media');?>">Media Files</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_promo' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/promo');?>">Promo Category</a></li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_setting' ? ' class="active dropdown"' : ' class="dropdown"';?>>
                        <a data-toggle="dropdown" data-target="#" href="" id="dropdownMenu">Setting <b class="caret"></b></a>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu">
                        <?php /*
                            <li><a tabindex="-1" href="<?php echo URL::site('admin/setting/session');?>">Manage Sessions</a></li>
                            */ ?>
                            <li><a tabindex="-1" href="<?php echo URL::site('admin/setting/db');?>">Manage Database</a></li>
                        </ul>
                    </li>
                    <li<?php echo Session::instance()->get('nav_link') == 'nav_toplinks' ? ' class="active dropdown"' : ' class="dropdown"';?>>
                        <a data-toggle="dropdown" data-target="#" href="" id="dropdownMenu">Links <b class="caret"></b></a>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu">
                            <li><a href="<?php echo URL::site('admin/links/page/related_sites');?>">Related Sites</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/about_us');?>">About Us</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/apply_now');?>">Apply Now</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/promos');?>">Promos</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/rates');?>">Rates</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/locator');?>">Locator</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/contact_us');?>">Contact Us</a></li>
                            <li class="divider"></li>
                            <li><a href="<?php echo URL::site('admin/links/page/product_services');?>">Product & Services</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/market_watcher');?>">Market Watcher</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/careers');?>">Careers</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/security');?>">Security</a></li>
                            <li class="divider"></li>
                            <li><a href="<?php echo URL::site('admin/links/page/preferred_banking');?>">Preferred Banking</a></li>
                            <li><a href="<?php echo URL::site('admin/links/page/private_banking');?>">Private Banking</a></li>
                        </ul>
                    </li>
                </ul>
                <?php
                if (Session::instance()->get('user_id'))
                {
                ?>
                <div class="dropdown pull-right">
                    <a class="dropdown-toggle btn btn-small btn-success" id="dLabel" role="button" data-toggle="dropdown" data-target="#" href="">
                        <i class="icon-user icon-white"></i>
                        <b class="caret"></b>
                    </a>
                    <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                        <li><a href="#"><?php echo Session::instance()->get('user_name');?></a></li>
                        <li><a href="<?php echo URL::site('admin/logout');?>"><i class="icon-off"></i>&nbsp;&nbsp;&nbsp;Log-Out</a></li>
                    </ul>
                </div>
                <?php
                }
                ?>
            </div><!--/.nav-collapse -->
        </div>
    </div>
</div>

<div id="wrap">
    <div class="container">
        <?php echo $content;?>
    </div> <!-- /container -->
    <div id="push"></div>
</div>

<div id="footer">
    <div class="container">
        <div class="muted credit" style="padding-top:20px;">
            &copy; Bank of the Philippine Islands
            <div style="float:right;">Last Login: <?php echo MyHelper::last_login();?></div>
        </div>
    </div>
</div>

<div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-header">
<h4 id="myModalLabel">Idle Warning</h4>
</div>
<div class="modal-body">
<p>You have been idle for <?php echo Session::instance()->get('sess_idle_time') ? Session::instance()->get('sess_idle_time') / 1000 : 240;?> seconds.  Do you wish to continue your session? Otherwise, you will be automatically logged-off the system.</p>
</div>
<div class="modal-footer">
<button class="btn btn-primary" data-dismiss="modal" aria-hidden="true">Yes</button>
<button class="btn" id="btn-idle-logout">No</button>
</div>
</div>
<script src="<?php echo URL::site('assets/js/idle.js');?>"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var idle_time = <?php echo Session::instance()->get('sess_idle_time') ? Session::instance()->get('sess_idle_time') : 240000;?>;
        var logout_time = <?php echo Session::instance()->get('sess_logout_time') ? Session::instance()->get('sess_logout_time') : 60000;?>;
        var logout = idle_time + logout_time;
        setIdleTimeout(idle_time);
        setAwayTimeout(logout);
        document.onIdle = function () {
             $('#myModal').modal('show');
        }
        document.onAway = function () {
            $.post("<?php echo URL::site('admin/logout/auto');?>", function(){
                window.location.href="<?php echo URL::site('admin');?>";
            })
        }
    });

    $(window).load(function(){
        $(".close").click(function(){
            $('.alert').slideUp();
        })
    });

    $(document).on('click', '#btn-idle-logout', function(){
        $.post("<?php echo URL::site('admin/logout/auto');?>", function(){
            window.location.href="<?php echo URL::site('admin');?>";
        })
    });
</script>
</body>
</html>