<!DOCTYPE html>
<html lang="en">
<head>
    <title>BPI Express Online</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="cache-control" content="no-cache" />
    <meta http-equiv="pragma" content="no-cache" />
    <meta name="description" content="" />
    <meta name="author" content="" />

	 <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
    <!--[if lt IE 9]>
      <script src="<?php echo URL::site('assets/js/html5shiv.js');?>"></script>
    <![endif]-->

    <script src="<?php echo URL::site('assets/js/jquery-1.10.2.min.js');?>"></script>
    <script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
    <script src="<?php echo URL::site('assets/bootstrap/js/bootstrap.min.js');?>"></script>
    <?php /*<script src="<?php echo URL::site('assets/bootstrap/js/jasny-bootstrap.min.js');?>"></script>*/?>
    <script src="<?php echo URL::site('assets/js/json3.min.js');?>"></script>
    <script src="<?php echo URL::site('assets/ckeditor/ckeditor.js');?>"></script>

    <link href="<?php echo URL::site('assets/bootstrap/css/bootstrap.css');?>" rel="stylesheet" />
    <?php /*<link href="<?php echo URL::site('assets/bootstrap/css/jasny-bootstrap.css');?>" rel="stylesheet" />*/?>
    <link href="<?php echo URL::site('assets/css/custom.css');?>" rel="stylesheet" />
    <link href="<?php echo URL::site('assets/bootstrap/css/bootstrap-responsive.css');?>" rel="stylesheet" />
</head>

<body>

    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="brand" href="#">BPI EOL</a>
                <div class="nav-collapse collapse">
                    <?php
                    if (Session::instance()->get('user_id'))
                    {
                    ?>
                    <div class="dropdown pull-right">
                        <span style="color:#fff;">Logged in as </span>
                        <a class="dropdown-toggle btn btn-small btn-success" id="dLabel" role="button" data-toggle="dropdown" data-target="#" href="">
                            <i class="icon-user icon-white"></i> <?php echo Session::instance()->get('user_name');?>
                            <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                            <li><a href="<?php echo URL::site('admin/logout');?>" class="navlink" rel="logout"><i class="icon-off"></i>&nbsp;&nbsp;&nbsp;Log-Out</a></li>
                        </ul>
                    </div>
                    <?php
                    }
                    ?>
                </div><!--/.nav-collapse -->
            </div>
        </div>
    </div>

    <div id="wrap">
    <div id="main" class="container">
        <div class="row">
            <div class="span3">
                <?php echo $navmenu;?>
            </div><!--/span-->

            <div class="span9">
                <div class="alert alert-block" id="div-idle-warn" style="display:none;">
                    <strong>Warning!</strong> You have been idle for quite some time now. Do you wish to continue your session?
                    <p>
                        <button class="btn btn-small btn-info" id="btn-continue-session">Yes</button>
                        <button class="btn btn-small" id="btn-logout">No</button>
                    </p>
                </div>
                <?php echo $content;?>
            </div><!--/span-->
        </div><!--/row-->
    </div>
    <div id="push"></div>
    </div>

    <div id="footer">
        <div class="container">
            <div class="muted credit" style="padding-top:20px;">
                &copy; Bank of the Philippine Islands
                <div style="float:right;">Last Login: <?php echo MyHelper::last_login();?></div>
            </div>
        </div>
    </div>
<div id="myModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
<div class="modal-header">
<h4 id="myModalLabel">Idle Warning</h4>
</div>
<div class="modal-body">
<p>You have been idle for <?php echo Session::instance()->get('sess_idle_time') ? Session::instance()->get('sess_idle_time') / 1000 : 240;?> seconds.  Do you wish to continue your session? Otherwise, you will be automatically logged-off the system.</p>
</div>
<div class="modal-footer">
<button class="btn btn-primary" data-dismiss="modal" aria-hidden="true">Yes</button>
<button class="btn" id="btn-idle-logout">No</button>
</div>
</div>
<script src="<?php echo URL::site('assets/js/idle.js');?>"></script>
<script type="text/javascript">
    $(document).ready(function () {
        var idle_time = <?php echo Session::instance()->get('sess_idle_time') ? Session::instance()->get('sess_idle_time') : 240000;?>;
        var logout_time = <?php echo Session::instance()->get('sess_logout_time') ? Session::instance()->get('sess_logout_time') : 60000;?>;
        var logout = idle_time + logout_time;
        setIdleTimeout(idle_time);
        setAwayTimeout(logout);
        document.onIdle = function () {
             $('#myModal').modal('show');
        }
        document.onAway = function () {
            $.post("<?php echo URL::site('admin/logout/auto');?>", function(){
                window.location.href="<?php echo URL::site('admin');?>";
            })
        }
    });

    $(window).load(function(){
        $(".close").click(function(){
            $('.alert').slideUp();
        })
    });

    // $(window).on('beforeunload', function(){
    //     return;
    // });

    // $(window).on('unload', function(e){
    //     $.ajax({
    //        type: "GET",
    //        url: "<?php echo URL::site('admin/logout/auto');?>",
    //        async: false
    //     });
    // });

    $(document).on('click', '#btn-idle-logout', function(){
        $.post("<?php echo URL::site('admin/logout/auto');?>", function(){
            window.location.href="<?php echo URL::site('admin');?>";
        })
    });

    function fileUpload(form, action_url, file_id) {
        // Create the iframe...
        var field = $('#'+file_id);
        if (field.valid())
        {
        	var iframe = document.createElement("iframe");
        	iframe.setAttribute("id", "upload_"+file_id);
        	iframe.setAttribute("name", "upload_"+file_id);
        	iframe.setAttribute("width", "0");
        	iframe.setAttribute("height", "0");
        	iframe.setAttribute("border", "0");
        	iframe.setAttribute("style", "width: 0; height: 0; border: none;");

    		// Add to document...
    		form.parentNode.appendChild(iframe);
    		window.frames['upload_'+file_id].name = "upload_"+file_id;

    		iframeId = document.getElementById("upload_"+file_id);

            // Add event...
            var eventHandler = function () {
    			if (iframeId.detachEvent) iframeId.detachEvent("onload", eventHandler);
    			else iframeId.removeEventListener("load", eventHandler, false);

    			// Message from server...
    			if (iframeId.contentDocument) {
    			    content = iframeId.contentDocument.body.innerHTML;
    			} else if (iframeId.contentWindow) {
    			    content = iframeId.contentWindow.document.body.innerHTML;
    			} else if (iframeId.document) {
    			    content = iframeId.document.body.innerHTML;
    			}

    			d = $.parseJSON(content);
                // d = content;
    			if (d.result === false)
    			{
    				$('#'+file_id).val('').addClass('error');
    				document.getElementById('div_'+file_id).innerHTML = d.msg;
                    $('#div_'+file_id).show();
    			} else {
    				$('#file_'+file_id).val(d.msg);
    				el = document.getElementById('div_'+file_id);
                    el.innerHTML = 'File upload is ready';
                    el.style.color = '#228B22';
    			}

    			// Del the iframe...
    			setTimeout('iframeId.parentNode.removeChild(iframeId)', 250);
    		}

    		if (iframeId.addEventListener) iframeId.addEventListener("load", eventHandler, true);
    		if (iframeId.attachEvent) iframeId.attachEvent("onload", eventHandler);

    		// Set properties of form...
    		form.setAttribute("target", "upload_"+file_id);
    		form.setAttribute("action", action_url);
    		form.setAttribute("method", "post");
    		form.setAttribute("enctype", "multipart/form-data");
    		form.setAttribute("encoding", "multipart/form-data");

    		// Submit the form...
    		form.submit();

    		document.getElementById('div_'+file_id).innerHTML = "Preparing file for upload. Please wait...";
        }
	}
</script>
</body>
</html>