<!DOCTYPE html>
<html lang="en">
<head>
	<title>EOL 3.0</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/font-awesome.min.css');?>">
	<!--[if IE 7]>
	<link rel="stylesheet" href="assets/css/font-awesome-ie7.css">
	<![endif]-->
	<link href="<?php echo URL::site('assets/css/bootstrap.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/styles.css');?>" rel="stylesheet" type="text/css" />
	<!-- Syntax Highlighter -->
	<link href="<?php echo URL::site('assets/css/shCore.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/shThemeDefault.css');?>" rel="stylesheet" type="text/css" />
	<!-- Demo CSS -->
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/flexslider.css');?>" type="text/css" media="screen" />
	<!-- Modernizr -->
	<script src="<?php echo URL::site('assets/js/modernizr.js');?>"></script>
	<!-- jQuery -->
	<script src="<?php echo URL::site('assets/js/jquery.min.js');?>"></script>
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish-navbar.css');?>">
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish.css');?>">
</head>
<body>
<div id="header" style="padding-bottom:0px;">
	<div class="main">
		<div id="top-navig">
			<ul id="topmenu">
				<?php echo Request::factory('nav/top_links/related_sites')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/about_us')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/apply_now')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/promos')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/rates')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/locator')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/contact_us')->execute()->body();?>
			</ul>
		</div>
		<div class="clear"></div>
		<div id="logo"><a href="<?php echo URL::site();?>"><img src="<?php echo URL::site('assets/img/logo.jpg');?>" /></a></div>
		<div id="search-top">
		<form method="post" action="<?php echo URL::site('page/search');?>">
			<input type="text" name="search" placeholder="Search.." />
			<input type="image" src="<?php echo URL::site('assets/img/search-icon.jpg');?>" />
		</form>
		</div>
		<div class="clear"></div>
		<div id="menu">&nbsp;<div class="clear"></div></div>
	</div>
	<div class="clear"></div>
</div>
<?php echo $content;?>
<div class="clear"></div>
<div id="footer">
	<div class="main">
		<div class="clear"></div>
		<div class="left">
			<p class="copy-gray"><?php echo Request::factory('nav/bottom_links/product_services')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/market_watcher')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/careers')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/security')->execute()->body();?></p>
			<p class="copy-gray">Copyright 2015 BANK OF THE PHILIPPINE ISLANDS. All Rights Reserved</p>
		</div>
		<div class="icons">
			Be social with us:
			<a href="http://www.facebook.com/bpi"><img src="<?php echo URL::site('assets/img/fb-footer.png');?>" /></a>
			<a href="http://twitter.com/TalktoBPI"><img src="<?php echo URL::site('assets/img/tw-footer.png');?>" /></a>
			<a href="http://youtube.com/user/BPIvideochannel"><img src="<?php echo URL::site('assets/img/yt-footer.png');?>" /></a>
			<a href="#"><img src="<?php echo URL::site('assets/img/g_plus.png');?>" /></a>
		</div>
		<div class="clear"></div>
		<div id="f-logo">
			<img src="<?php echo URL::site('assets/img/f-logo-1.jpg');?>" />
			<img src="<?php echo URL::site('assets/img/f-logo-2.jpg');?>" />
			<a href="http://www.bancnetonline.com/BancnetWeb/goToMainPage.do"><img src="<?php echo URL::site('assets/img/f-logo-3.jpg');?>" /></a>
		</div>
	</div>
</div>
<script src="<?php echo URL::site('assets/js/jquery.hoverIntent.js');?>"></script>
<script src="<?php echo URL::site('assets/js/superfish.js');?>"></script>
<script type="text/javascript">
$(function(){
   $(".menu-dropdown").hide();
   $(".menu-main").hover(function(){
      $(".menu-dropdown").hide();
      var id = $(this).attr('id');

      $("#" + id + "-dropdown").show();
   });

   // $(".menu-main").mouseleave(function(){
   // 		$(".menu-dropdown").hide();
   // });

    $(".menu-dropdown").mouseleave(function(){
   		$(".menu-dropdown").fadeOut();
   });

   jQuery("body").click(function(){
      $(".menu-dropdown").hide();
   });

   $('.submenu').click(function(e){
		if ($(this).attr('href') != '#')
		{
			var rel = $(this).attr('rel');
			var el = rel.split('|');

			$('.'+el[0]+' li').removeClass('active');
			// $('.'+el[0]+' > li#'+el[1]).addClass('active');

			$.post("<?php echo URL::site('nav/set_active');?>", {element: rel});
		}
	});

	$('.page-link').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active2');?>", {element: rel});
	});

	$('.bottom-links').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active3');?>", {element: rel});
	});
});

jQuery(document).ready(function(){
	jQuery('ul.sf-menu').superfish({
		pathClass:  'current'
	});
});
</script>
</body>
</html>