<!DOCTYPE html>
<html lang="en">
<head>
	<title>Bank of the Philippine Island</title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/font-awesome.min.css');?>">
	<!--[if IE 7]>
	<link rel="stylesheet" href="assets/css/font-awesome-ie7.css">
	<![endif]-->
	<link href="<?php echo URL::site('assets/css/bootstrap.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/styles.css');?>" rel="stylesheet" type="text/css" />
	<!-- Syntax Highlighter -->
	<link href="<?php echo URL::site('assets/css/shCore.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/shThemeDefault.css');?>" rel="stylesheet" type="text/css" />
	<!-- Demo CSS -->
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/flexslider.css');?>" type="text/css" media="screen" />
	<!-- Modernizr -->
	<script src="<?php echo URL::site('assets/js/modernizr.js');?>"></script>
	<!-- jQuery -->
	<script src="<?php echo URL::site('assets/js/jquery.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/bootstrap.min.js');?>"></script>
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish-navbar.css');?>">
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish.css');?>">
</head>
<body>
<div id="header" style="padding-bottom:0px;">
	<div class="main">
		<div id="top-navig">
			<ul id="topmenu">
			<?php
			if ( ! Fragment::load('top_links', Date::HOUR * 1))
			{
			?>
				<?php echo Request::factory('nav/top_links/related_sites')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/about_us')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/apply_now')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/promos')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/rates')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/locator')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/contact_us')->execute()->body();?>
			<?php
				Fragment::save();
			}
			?>
			</ul>
		</div>
		<div class="clear"></div>
		<div id="logo"><a href="<?php echo URL::site();?>"><img src="<?php echo URL::site('assets/img/logo.jpg');?>" /></a></div>
		<div id="search-top">
		<form method="post" action="<?php echo URL::site('page/search');?>">
			<input type="text" name="search" placeholder="Search.." />
			<input type="image" src="<?php echo URL::site('assets/img/search-icon.jpg');?>" />
		</form>
		</div>
		<div class="clear"></div>
		<div id="menu">&nbsp;<div class="clear"></div></div>
	</div>
	<div class="clear"></div>
</div>
<?php echo $content;?>
<div class="clear"></div>
<?php
if ( ! Fragment::load('footer', Date::HOUR * 24))
{
?>
<div id="footer">
	<div class="main">
		<div class="clear"></div>
		<div class="left">
			<p class="copy-gray" style="margin-bottom:10px;"><?php echo Request::factory('nav/bottom_links/product_services')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/market_watcher')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/careers')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/security')->execute()->body();?></p>
			<p class="copy-gray">Copyright 2015 BANK OF THE PHILIPPINE ISLANDS. All Rights Reserved</p>
			<p class="copy-gray">Best viewed on Internet Explorer 8.0, Firefox 24.0, Chrome 29.0, and Safari 5.0.1 or higher versions</p>
			<p class="copy-gray">Member: PDIC. Maximum Deposit Insurance for Each Depositor P500,000.</p>
		</div>
		<div class="icons">
			Be social with us:
			<a data-href="http://www.facebook.com/bpi" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/fb-footer.jpg');?>" /></a>
			<a data-href="http://twitter.com/TalktoBPI" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/tw-footer.jpg');?>" /></a>
			<a data-href="http://youtube.com/user/BPIvideochannel" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/yt-footer.jpg');?>" /></a>
			<a data-href="https://www.linkedin.com/company/bank-of-the-philippine-islands" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/in-footer.jpg');?>" /></a>
		</div>
		<div class="clear"></div>
		<div id="f-logo">
			<a data-href="http://www.bancnetonline.com/BancnetWeb/goToMainPage.do" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/bancnet.jpg');?>" /></a>
			<img src="<?php echo URL::site('assets/img/verisign.jpg');?>" />
		</div>
	</div>
</div>
<?php
Fragment::save();
}
?>
<script src="<?php echo URL::site('assets/js/jquery.hoverIntent.js');?>"></script>
<script src="<?php echo URL::site('assets/js/superfish.js');?>"></script>
<script src="<?php echo URL::site('assets/js/bootbox.min.js');?>"></script>
<script type="text/javascript">
$(document).on('click', '.media-link', function(){
	var href = $(this).attr('data-href');
	bootbox.dialog("<p class=\"lead\">Disclaimer</p><p>You are about to visit a website hosted outside of BPI Express Online, which may offer a different privacy policy and level of security.</p>",
	[{
		"label" : "Cancel",
	}, {
		"label" : "Proceed",
   	"class" : "btn-success",
    	"callback": function(res) {
	  		if (res) {
	  			window.open(href, "newWindow");
	  		}
	  	}
	}]);
});

$(function(){
	$('#topmenu > li').bind('mouseover', openSubMenu);
	$('#topmenu > li').bind('mouseout', closeSubMenu);
	function openSubMenu() {
		$(this).find('div').css('display', 'block');
	};

	function closeSubMenu() {
		$(this).find('div').css('display', 'none');
	};
	/*
   $(".menu-dropdown").hide();
   $(".menu-main").hover(function(){
      $(".menu-dropdown").hide();
      var id = $(this).attr('id');

      $("#" + id + "-dropdown").show();
   });

    $(".menu-dropdown").mouseleave(function(){
   		$(".menu-dropdown").fadeOut();
   });

   jQuery("body").click(function(){
      $(".menu-dropdown").hide();
   });
   */
});

$(document).ready(function(){
	var nav = $('ul.sf-menu').superfish({
		pathClass: 'current'
	});

   $('.submenu').click(function(e){
		if ($(this).attr('href') != '#')
		{
			var rel = $(this).attr('rel');
			var el = rel.split('|');

			$('.'+el[0]+' li').removeClass('active');
			// $('.'+el[0]+' > li#'+el[1]).addClass('active');

			$.post("<?php echo URL::site('nav/set_active');?>", {element: rel});
		}
	});

	$('.page-link').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active2');?>", {element: rel});
	});

	$('.bottom-links').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active3');?>", {element: rel});
	});
});
</script>
</body>
</html>