<!DOCTYPE html>
<html lang="en">
<head>
	<title><?php echo isset($meta_title) ? $meta_title : 'EOL 3.0';?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0" />
   <?php
   if (isset($meta_description))
   {
   ?>
   <meta name="description" content="<?php echo $meta_description;?>">
   <?php
   }
   if (isset($meta_keyword))
   {
   ?>
   <meta name="keywords" content="<?php echo $meta_keyword;?>">
   <?php
   }
   ?>
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/font-awesome.min.css');?>">
	<!--[if IE 7]>
	<link rel="stylesheet" href="assets/css/font-awesome-ie7.css">
	<![endif]-->
	<!--[if lt IE 9]>
	<script src="<?php echo URL::site('assets/js/html5shiv.min.js');?>"></script>
	<![endif]-->
	<link href="<?php echo URL::site('assets/css/bootstrap.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/styles.css');?>" rel="stylesheet" type="text/css" />
	<!-- Syntax Highlighter -->
	<link href="<?php echo URL::site('assets/css/shCore.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/shThemeDefault.css');?>" rel="stylesheet" type="text/css" />
	<!-- Demo CSS -->
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/flexslider.css');?>" type="text/css" media="screen" />
	<!-- Modernizr -->
	<script src="<?php echo URL::site('assets/js/modernizr.js');?>"></script>
	<!-- jQuery -->
	<script src="<?php echo URL::site('assets/js/jquery.min.js');?>"></script>
	<?php /*<script src="<?php echo URL::site('assets/js/jquery-migrate-1.2.1.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/jquery.cycle.all.js');?>"></script>*/ ?>
	<script src="<?php echo URL::site('assets/js/responsiveslides.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/bootstrap.min.js');?>"></script>
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish-navbar.css');?>">
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish.css');?>">
	<meta name="apple-itunes-app" content="app-id=459690070">
	<meta name="google-play-app" content="app-id=com.fronde.mbanking.android.pckg.bpi">
	<link rel="apple-touch-icon" href="apple-touch-icon.png">
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/jquery.smartbanner.css');?>" type="text/css" media="screen">
</head>
<body>
<!-- Google Tag Manager -->
<noscript><iframe src="//www.googletagmanager.com/ns.html?id=GTM-5Z35W2"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-5Z35W2');</script>
<!-- End Google Tag Manager -->
<script src="<?php echo URL::site('assets/js/jquery.smartbanner.js');?>"></script>
<script type="text/javascript">
	if (navigator.userAgent.match(/BB10/i)){
		$.smartbanner({
			title: 'BPI Express Mobile',
			author: ' ',
			icon: "<?php echo URL::site('assets/img/mobile-icon-resized.jpg');?>",
			daysHidden: 0,
			daysReminder: 0,
			force: 'ios',
			url: 'http://appworld.blackberry.com/webstore/content/39428898',
			inAppStore: 'On Blackberry World'
		});
	}
	else
	{
		$.smartbanner({
			title: 'BPI Express Mobile',
			author: ' ',
			icon: "<?php echo URL::site('assets/img/mobile-icon-resized.jpg');?>",
			daysHidden: 0,
			daysReminder: 0
		});
	}

	//hide smart banner
	$("#smartbanner .sb-close").click(function(){
		$("#smartbanner").slideUp(750);
	});
</script>
<div class="main-header">
<div id="header">
	<?php
	if (isset($print))
	{
	?>
	<div style="padding:5px; background-color:#666; color:#fff; text-align:right;"><a href="javascript:;" style="color:#fff;" onClick="window.print();">Click Here to Print</a></div>
	<?php
	}
	?>
	<div class="main">
		<div id="top-navig">
			<ul id="topmenu">
				<?php echo Request::factory('nav/top_links/related_sites')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/about_us')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/apply_now')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/promos')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/rates')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/locator')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/contact_us')->execute()->body();?>
			</ul>
		</div>
		<div class="clear"></div>
		<div id="logo"><a href="<?php echo URL::site('home/menu/personal');?>"><img src="<?php echo URL::site('assets/img/logo.jpg');?>" /></a></div>
		<div id="search-top">
		<form method="post" action="<?php echo URL::site('page/search');?>">
			<input type="text" name="search" placeholder="Search.." />
			<input type="image" src="<?php echo URL::site('assets/img/search-icon.jpg');?>" />
		</form>
		</div>
		<div class="clear"></div>
		<div id="menu">
			<ul class="sf-menu" id="main-nav">
				<li<?php echo (Session::instance()->get('navclass') == 'personal' OR  ! Session::instance()->get('navclass')) ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/personal');?>">Personal</a>
					<?php echo MyHelper::menu(1);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'business' ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/business');?>">Business</a>
					<?php echo MyHelper::menu(4);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'overseas-filipino' ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/overseas-filipino');?>">Overseas Filipino</a>
					<?php echo MyHelper::menu(5);?>
				</li>
				<?php /*
				<li<?php echo Session::instance()->get('navclass') == 'preferred-banking' ? ' class="current"' : '';?>>
					<div style="height:26px;"></div>
					<?php echo MyHelper::menu(2);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'private-banking' ? ' class="current"' : '';?>>
					<div style="height:26px;"></div>
					<?php echo MyHelper::menu(3);?>
				</li>
				*/ ?>
			</ul>
			<?php
			if (Session::instance()->get('navclass') == 'personal' OR  ! Session::instance()->get('navclass'))
			{
			?>
			<ul id="stc-menu">
				<?php echo Request::factory('nav/top_links/preferred_banking')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/private_banking')->execute()->body();?>
				<?php /*
				<li><a href="<?php echo URL::site('home/menu/preferred-banking');?>"<?php echo Session::instance()->get('navclass') == 'preferred-banking' ? ' class="current"' : '';?> id="preferred-banking">Preferred Banking</a></li>
				<li><a href="<?php echo URL::site('home/menu/private-banking');?>"<?php echo Session::instance()->get('navclass') == 'private-banking' ? ' class="current"' : '';?> id="private-banking">Private Banking</a></li>
				*/ ?>
			</ul>
			<?php
			}
			?>
			<div class="clear"></div>
		</div>
	</div>
	<div class="clear"></div>
</div>
</div>
<?php
if (isset($splash_page))
{
	echo $splash_page;
}
?>
<?php echo $content;?>
<?php echo $splash_block;?>
<div id="footer">
	<div class="main">
		<div class="clear"></div>
		<div class="left">
			<p class="copy-gray"><?php echo Request::factory('nav/bottom_links/product_services')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/market_watcher')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/careers')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/security')->execute()->body();?></p>
			<p class="copy-gray">Copyright 2012 BANK OF THE PHILIPPINE ISLANDS. All Rights Reserved</p>
		</div>
		<div class="clear"></div>
		<div id="f-logo">
			<img src="<?php echo URL::site('assets/img/f-logo-1.jpg');?>" />
			<img src="<?php echo URL::site('assets/img/f-logo-2.jpg');?>" />
			<a href="http://www.bancnetonline.com/BancnetWeb/goToMainPage.do"><img src="<?php echo URL::site('assets/img/f-logo-3.jpg');?>" /></a>
		</div>
	</div>
</div>
<!-- FlexSlider -->
<script defer src="<?php echo URL::site('assets/js/jquery.flexslider-min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.marquee.min.js');?>"></script>
<script type="text/javascript">
$(window).load(function(){
	$('#carousel').flexslider({
		animation: "slide",
		controlNav: true,
		animationLoop: true,
		slideshow: true,
		itemWidth: 166,
		itemMargin: 5,
		asNavFor: '#slider'
	});

	$('#slider').flexslider({
		animation: "slide",
		controlNav: true,
		animationLoop: true,
		slideshow: false,
		sync: "#carousel",
		start: function(slider){
			$('body').removeClass('loading');
		}
	});

	$('.marquee').marquee({
		pausespeed: 0,
		yScroll: 'top'
	});

	$(".rslides").responsiveSlides();
});

</script>
<!-- Syntax Highlighter -->
<script type="text/javascript" src="<?php echo URL::site('assets/js/shCore.js');?>"></script>
<script type="text/javascript" src="<?php echo URL::site('assets/js/shBrushXml.js');?>"></script>
<script type="text/javascript" src="<?php echo URL::site('assets/js/shBrushJScript.js');?>"></script>
<!-- Optional FlexSlider Additions -->
<script src="<?php echo URL::site('assets/js/jquery.easing.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.mousewheel.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.hoverIntent.js');?>"></script>
<script src="<?php echo URL::site('assets/js/superfish.js');?>"></script>
<script type="text/javascript">
$(function(){
   $(".menu-dropdown").hide();
   $(".menu-main").hover(function(){
      $(".menu-dropdown").hide();
      var id = $(this).attr('id');

      $("#" + id + "-dropdown").show();
   });

    $(".menu-dropdown").mouseleave(function(){
   		$(".menu-dropdown").fadeOut();
   });
});

$(document).ready(function(){
	var nav = $('ul.sf-menu').superfish({
		pathClass: 'current'
	});

	$('.submenu').click(function(e){
		if ($(this).attr('href') != '#')
		{
			var rel = $(this).attr('rel');
			var el = rel.split('|');

			$('.'+el[0]+' li').removeClass('active');
			// $('.'+el[0]+' > li#'+el[1]).addClass('active');

			$.post("<?php echo URL::site('nav/set_active');?>", {element: rel});
		}
	});

	$('.page-link').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active2');?>", {element: rel});
	});

	$('.bottom-links').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active3');?>", {element: rel});
	});
});
</script>
</body>
</html>