<!DOCTYPE html>
<html lang="en">
<head>
	<title>BPI Express Online</title>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge; IE=9; IE=8;" />
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta name="description" content="" />
	<meta name="author" content="" />

	<!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
	<!--[if lt IE 9]>
	<script src="<?php echo URL::site('assets/js/html5shiv.js');?>"></script>
	<![endif]-->

	<script src="<?php echo URL::site('assets/js/jquery-1.10.2.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/bootstrap/js/bootstrap.min.js');?>"></script>
	<?php /*<script src="<?php echo URL::site('assets/bootstrap/js/jasny-bootstrap.min.js');?>"></script>*/?>

	<link href="<?php echo URL::site('assets/bootstrap/css/bootstrap.css');?>" rel="stylesheet" />
	<?php /*<link href="<?php echo URL::site('assets/bootstrap/css/jasny-bootstrap.css');?>" rel="stylesheet" />*/?>
	<link href="<?php echo URL::site('assets/css/custom.css');?>" rel="stylesheet" />
	<link href="<?php echo URL::site('assets/bootstrap/css/bootstrap-responsive.css');?>" rel="stylesheet" />
	<script type="text/javascript">
		$(window).load(function(){
        $(".close").click(function(){
            $('.alert').slideUp();
        })
    });
	</script>
</head>

<body>

    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="brand" href="#">BPI EOL</a>
                <div class="nav-collapse collapse">
                    <?php
                    if (Session::instance()->get('user_id'))
                    {
                    ?>
                    <div class="dropdown pull-right">
                        <span style="color:#fff;">Logged in as </span>
                        <a class="dropdown-toggle btn btn-small btn-success" id="dLabel" role="button" data-toggle="dropdown" data-target="#" href="">
                            <i class="icon-user icon-white"></i> <?php echo Session::instance()->get('user_name');?>
                            <b class="caret"></b>
                        </a>
                        <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
                            <li><a href="<?php echo URL::site('admin/logout');?>"><i class="icon-off"></i>&nbsp;&nbsp;&nbsp;Log-Out</a></li>
                        </ul>
                    </div>
                    <?php
                    }
                    ?>
                </div><!--/.nav-collapse -->
            </div>
        </div>
    </div>

    <div id="wrap">
    <div id="main" class="container">
        <div class="row">
            <div class="span3">
                <?php echo $navmenu;?>
            </div><!--/span-->

            <div class="span9">
                <?php echo $content;?>
            </div><!--/span-->
        </div><!--/row-->
    </div>
    <div id="push"></div>
    </div>

    <div id="footer">
        <div class="container">
            <p class="muted credit" style="padding-top:20px;">&copy; Bank of the Philippine Islands</p>
        </div>
    </div>
</body>
</html>