<!--
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
-->
<!DOCTYPE html>
<html lang="en">
<head>
	<title>EOL 3.0</title>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge; IE=9; IE=8;" />
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/font-awesome.min.css');?>">
	<!--[if IE 7]>
	<link rel="stylesheet" href="assets/css/font-awesome-ie7.css">
	<![endif]-->
	<link href="<?php echo URL::site('assets/css/bootstrap.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/styles.css');?>" rel="stylesheet" type="text/css" />
	<!-- Syntax Highlighter -->
	<link href="<?php echo URL::site('assets/css/shCore.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/shThemeDefault.css');?>" rel="stylesheet" type="text/css" />
	<!-- Demo CSS -->
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/flexslider.css');?>" type="text/css" media="screen" />
	<!-- Modernizr -->
	<script src="<?php echo URL::site('assets/js/modernizr.js');?>"></script>
	<!-- jQuery -->
	<script src="<?php echo URL::site('assets/js/jquery.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/jquery.cycle.all.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/jquery.easytabs.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/bootstrap.min.js');?>"></script>
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish-navbar.css');?>">
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish.css');?>">
</head>
<body>
<div id="header">
	<?php
	if (isset($print))
	{
	?>
	<div style="padding:5px; background-color:#666; color:#fff; text-align:right;"><a href="javascript:;" style="color:#fff;" onClick="window.print();">Click Here to Print</a></div>
	<?php
	}
	?>
	<div class="main">
		<div id="top-navig">
			<ul id="topmenu">
				<?php echo Request::factory('nav/top_links/related_sites')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/about_us')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/apply_now')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/promos')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/rates')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/locator')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/contact_us')->execute()->body();?>
			</ul>
		</div>
		<div class="clear"></div>
		<div id="logo"><a href="<?php echo URL::site();?>"><img src="<?php echo URL::site('assets/img/logo.jpg');?>" /></a></div>
		<div id="search-top">
		<form method="post" action="<?php echo URL::site('page/search');?>">
			<input type="text" name="search" placeholder="Search.." />
			<input type="image" src="<?php echo URL::site('assets/img/search-icon.jpg');?>" />
		</form>
		</div>
		<div class="clear"></div>
		<div id="menu">
			<ul class="sf-menu" id="main-nav">
				<li<?php echo (Session::instance()->get('navclass') == 'personal' OR  ! Session::instance()->get('navclass')) ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/personal');?>">Personal</a>
					<?php echo MyHelper::menu(1);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'business' ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/business');?>">Business</a>
					<?php echo MyHelper::menu(4);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'overseas-filipino' ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/overseas-filipino');?>">Overseas Filipino</a>
					<?php echo MyHelper::menu(5);?>
				</li>
				<?php /*
				<li<?php echo Session::instance()->get('navclass') == 'preferred-banking' ? ' class="current"' : '';?>>
					<div style="height:26px;"></div>
					<?php echo MyHelper::menu(2);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'private-banking' ? ' class="current"' : '';?>>
					<div style="height:26px;"></div>
					<?php echo MyHelper::menu(3);?>
				</li>
				*/ ?>
			</ul>
			<?php
			if (Session::instance()->get('navclass') == 'personal' OR  ! Session::instance()->get('navclass'))
			{
			?>
			<ul id="stc-menu">
				<li><a href="<?php echo URL::site('home/menu/preferred-banking');?>"<?php echo Session::instance()->get('navclass') == 'preferred-banking' ? ' class="current"' : '';?> id="preferred-banking">Preferred Banking</a></li>
				<li><a href="<?php echo URL::site('home/menu/private-banking');?>"<?php echo Session::instance()->get('navclass') == 'private-banking' ? ' class="current"' : '';?> id="private-banking">Private Banking</a></li>
			</ul>
			<?php
			}
			?>
			<div class="clear"></div>
		</div>
	</div>
	<div class="clear"></div>
</div>
<?php
if (isset($splash_page))
{
	echo $splash_page;
}
?>
<?php echo $content;?>
<div id="footer">
	<div class="main">
		<div class="clear"></div>
		<div class="left">
			<p class="copy-gray"><a href="#">Product & Services</a>  |  <a href="#">Market Watcher</a>  |  <a href="#">Careers</a>  |  <a href="#">Security</a></p>
			<p class="copy-gray">Copyright 2012 BANK OF THE PHILIPPINE ISLANDS. All Rights Reserved</p>
		</div>
		<div class="right">
			Be social with us:
			<a href="http://www.facebook.com/bpi"><img src="<?php echo URL::site('assets/img/fb-footer.jpg');?>" /></a>
			<a href="http://twitter.com/TalktoBPI"><img src="<?php echo URL::site('assets/img/tw-footer.jpg');?>" /></a>
			<a href="http://youtube.com/user/BPIvideochannel"><img src="<?php echo URL::site('assets/img/yt-footer.jpg');?>" /></a>
		</div>
		<div class="clear"></div>
		<div id="f-logo">
			<img src="<?php echo URL::site('assets/img/f-logo-1.jpg');?>" />
			<img src="<?php echo URL::site('assets/img/f-logo-2.jpg');?>" />
			<a href="http://www.bancnetonline.com/BancnetWeb/goToMainPage.do"><img src="<?php echo URL::site('assets/img/f-logo-3.jpg');?>" /></a>
		</div>
	</div>
</div>
<!-- FlexSlider -->
<script defer src="<?php echo URL::site('assets/js/jquery.flexslider-min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.marquee.min.js');?>"></script>
<script type="text/javascript">
$(window).load(function(){
	$('#carousel').flexslider({
		animation: "slide",
		controlNav: true,
		animationLoop: true,
		slideshow: true,
		itemWidth: 160,
		itemMargin: 5,
		asNavFor: '#slider'
	});

	$('#slider').flexslider({
		animation: "slide",
		controlNav: true,
		animationLoop: true,
		slideshow: false,
		sync: "#carousel",
		start: function(slider){
			$('body').removeClass('loading');
		}
	});

	$('.marquee').marquee({pausespeed: 0});

	// for promo details page
	$("#tab-container").easytabs({
		animate: true
	});
});

</script>
<!-- Syntax Highlighter -->
<script type="text/javascript" src="<?php echo URL::site('assets/js/shCore.js');?>"></script>
<script type="text/javascript" src="<?php echo URL::site('assets/js/shBrushXml.js');?>"></script>
<script type="text/javascript" src="<?php echo URL::site('assets/js/shBrushJScript.js');?>"></script>
<!-- Optional FlexSlider Additions -->
<script src="<?php echo URL::site('assets/js/jquery.easing.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.mousewheel.js');?>"></script>
<script defer src="<?php echo URL::site('assets/js/demo.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.hoverIntent.js');?>"></script>
<script src="<?php echo URL::site('assets/js/superfish.js');?>"></script>
<script type="text/javascript">
$(function(){
	SyntaxHighlighter.all();
});

$(function(){
   $(".menu-dropdown").hide();
   $(".menu-main").hover(function(){
      $(".menu-dropdown").hide();
      var id = $(this).attr('id');

      $("#" + id + "-dropdown").show();
   });

   // $(".menu-main").mouseleave(function(){
   // 		$(".menu-dropdown").hide();
   // });

    $(".menu-dropdown").mouseleave(function(){
   		$(".menu-dropdown").fadeOut();
   });

   jQuery("body").click(function(){
      $(".menu-dropdown").hide();
   });
});

$(document).ready(function(){
	var nav = $('ul.sf-menu').superfish({
		pathClass: 'current'
	});

	$('.submenu').click(function(e){
		if ($(this).attr('href') != '#')
		{
			var rel = $(this).attr('rel');
			var el = rel.split('|');

			$('.'+el[0]+' li').removeClass('active');
			// $('.'+el[0]+' > li#'+el[1]).addClass('active');

			$.post("<?php echo URL::site('nav/set_active');?>", {element: rel});
		}
	})
	/*
	$('#preferred-banking').hover(
		function(){
			nav.children().superfish('hide');
			nav.children('li:nth-child(4)').superfish('show');
		},
		function(){
			nav.children('li:nth-child(4)').superfish('hide');
			nav.children('li.sf-breadcrumb').superfish('show');
		}
	);

	$('#private-banking').hover(
		function(){
			nav.children().superfish('hide');
			nav.children('li:nth-child(5)').superfish('show');
		},
		function(){
			nav.children('li:nth-child(5)').superfish('hide');
			nav.children('li.sf-breadcrumb').superfish('show');
		}
	);
	*/
});
</script>
</body>
</html>