<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Api extends Controller {

	public function action_get_client_updates()
	{
		$arr_params = $this->request->query();

		// $limit = array_key_exists('numberOfNotifications', $arr_params) ? $arr_params['numberOfNotifications'] : 10;
		//
		$current_date = date('Y-m-d', time());

		$sql = DB::select('id', 'control_no', 'title', 'category_id')
			->from('pages')
			->where('content_type_id', '=', 5)
			->where('start_date', '<=', $current_date)
			->where('end_date', '>=', $current_date)
			->where_open()
			->where('status', '=', 'published')
			->or_where('status', '=', 'request-archive')
			->or_where('status', '=', 'pending-archive')
			->where_close();
		if (array_key_exists('numberOfNotifications', $arr_params))
		{
			$sql->limit($arr_params['numberOfNotifications'])
				->offset(0);
		}

		$qry = $sql->order_by('id', 'DESC')
			->as_object()
			->execute();

		$xml = new SimpleXMLElement('<response/>');

		foreach ($qry as $res)
		{
			$id = $res->id;
			$title = $res->title;
			$url = URL::site('page/client_update/'.$id, true);

			$track = $xml->addChild('url-list');
			$track->addChild('notification', $title);
			 $track->addChild('urlnotification', $url);
		}

		$xml->addChild('url-view-more', URL::site('page/client_updates', true));

		$this->response->headers(array('Content-Type'=>'application/xml', 'Cache-Control'=>'no-cache'));
		$this->response->body($xml->asXML());
	}
}