<?php
// $field_labels = is_object($page) ? ($page->field_label ? json_decode($page->field_label, true) : array()) : array();
$field_contents = is_object($page) ? ($page->field_content ? json_decode($page->field_content, true) : array()) : array();
$regular_fields = MyHelper::regular_fields();
foreach ($tpl_sections as $field => $label)
{
	$type = MyHelper::field_type($field);
	$field_label = $label;
?>
<div class="row">
	<div class="span9">
	<?php
	if ($type == 'text' OR $type == 'link')
	{
		if (in_array($field, $regular_fields))
		{
			$field_val = is_object($page) ? $page->$field : '';
			$field_check = true;
		}
		else
		{
			$field_val = Arr::get($field_contents, $field);
			$field_check = $field == 'title2' ? true : false;
		}

		if ($field == 'title')
		{
			// $required = $field_check ? "required titlefield" : "";
			$required = $field_check ? "required" : "";
			$params = array('class'=>"span4 {$required}", 'id'=>$field);
			if (isset($char_limit) AND $char_limit > 0)
			{
				$params['maxlength'] = $char_limit;
			}
		} else {
			$required = $field_check ? "required" : "";
			$params = array('class'=>"span4 {$required}", 'id'=>$field);
		}

		echo Form::label($field, $field_label);
		echo Form::input($field, is_object($page) ? html_entity_decode($field_val) : NULL, $params);
	?>
		<script>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					required: "Please input a <?php echo $label;?> for this request"
				}
			});
		</script>
	<?php
	}
	else if ($type == 'textarea')
	{
		if (in_array($field, $regular_fields))
		{
			$field_val = is_object($page) ? $page->$field : '';
			$field_check = true;
		}
		else
		{
			$field_val = Arr::get($field_contents, $field);
			$field_check = false;
		}

		// if Client Update or Splash Page Violator the field is "body1", dont make it mandatory
		if (($content_type_id == 5 OR $content_type_id == 6) AND $field == 'body1')
		{
			$cls = '';
		} else {
			$cls = $field_check ? 'htmlEditor' : '';
		}

		echo Form::label($field, $field_label);
		echo Form::textarea($field, is_object($page) ? html_entity_decode($field_val) : NULL, array('class'=>'span3 '.$cls, 'id'=>$field));
		if (is_object($page))
		{
			echo Form::hidden($field.'_hidden', html_entity_decode($field_val), array('id'=>$field.'_hidden'));
		}
		echo '<br />';
		if ($field != 'body5')
		{
	?>
		<script>
			CKEDITOR.replace("<?php echo $field;?>", {
				width: 700
			});
		<?php
		if ($content_type_id == 4 AND $field == 'body1')
		{
		?>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					htmlEditor: "Please input <?php echo $label;?> for this request"
				}
			});
		<?php
		}
		else
		{
		?>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					htmlEditor: "Please input a <?php echo $label;?> for this request"
				}
			});
		<?php
		}
		?>
		</script>
	<?php
		} else {
	?>
		<script>
			CKEDITOR.replace("<?php echo $field;?>", {
				width: 500
			});

			$("#<?php echo $field;?>").rules('add', {
				messages: {
					htmlEditor: "Please input <?php echo $label;?> for this request"
				}
			});
		</script>
	<?php
		}
	}
	else if ($type == 'embed')
	{
		if (in_array($field, $regular_fields))
		{
			$field_val = is_object($page) ? $page->$field : '';
			$field_check = true;
		}
		else
		{
			$field_val = Arr::get($field_contents, $field);
			$field_check = false;
		}

		$required = $field_check ? "required embed" : '';
		echo Form::label($field, $field_label);
		echo Form::textarea($field, is_object($page) ? html_entity_decode($field_val) : NULL, array('class'=>"span5 {$required}", 'style'=>'height:130px;', 'id'=>$field));
	?>
		<script>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					required: "Video link should be a You Tube video embed code only.",
					embed: "Video link should be a You Tube video embed code only."
				}
			});
		</script>
	<?php
	}
	else if ($type == 'file_img')
	{
		if (in_array($field, $regular_fields))
		{
			$field_val = is_object($page) ? $page->$field : '';
			$field_check = true;
		}
		else
		{
			$field_val = Arr::get($field_contents, $field);
			$field_check = false;
		}

		$file_info = '<span class="help-block"><small>JPEG, PNG, or GIF files only</small></span>';
		echo Form::label($field, $field_label.$file_info);

		$file_img = (is_object($page) AND $field_val) ? $field_val : '';
		$required = $field_check ? 'required' : '';
		if ($file_img and is_file(DOCROOT.'media/uploads/'.$file_img))
		{
			$required = '';
		?>
			<div style="margin-bottom:5px;" id="d_<?php echo $field;?>">
				<img src="<?php echo URL::site('media/uploads/'.$file_img);?>" />
				<input type="hidden" name="<?php echo $field;?>_hid" value="<?php echo $file_img;?>" />
			</div>
		<?php
		}
		?>
		<input type="file" id="<?php echo $field;?>" name="<?php echo $field;?>" class="<?php echo $required;?>" onChange="fileUpload(this.form, '<?php echo URL::site('admin/cms/upload_file/'.$field.'/img');?>', '<?php echo $field;?>'); return false;" />
		<div id="div_<?php echo $field;?>" style="color:#f33; font-style:italic;"></div>
		<input type="hidden" name="file_<?php echo $field;?>" id="file_<?php echo $field;?>" value="<?php echo $file_img;?>">
		<label class="error" id="div_<?php echo $field;?>" for="<?php echo $field;?>"></label>
		<script>
		$("#<?php echo $field;?>").rules('add', {
			extension: "png|jpg|gif",
			messages: {
				required: "Please attach a <?php echo $label;?> for this request",
				extension: 'File type should be JPG, PNG, or GIF only'
			}
		});
		</script>
	<?php
	}
	else if ($type == 'file_doc')
	{
		if (in_array($field, $regular_fields))
		{
			$field_val = is_object($page) ? $page->$field : '';
			$field_check = true;
		}
		else
		{
			$field_val = Arr::get($field_contents, $field);
			$field_check = false;
		}

		$t = substr($field, 3, 1);
		$fieldlabel = 'doc_label'.$t;

		$file_labelname = array_key_exists($fieldlabel, $field_contents) ? html_entity_decode(Arr::get($field_contents, $fieldlabel)) : '';

		$file_info = '<span class="help-block"><small>PDF files only (Max. 5mb)</small></span>';
		echo Form::label($field, $field_label.$file_info);

		$file_doc = (is_object($page) AND $field_val) ? $field_val : '';
		$required = $field_check ? 'required' : '';
		if ($file_doc and is_file(DOCROOT.'media/uploads/'.$file_doc))
		{
			$required = '';
		?>
			<div style="margin-bottom:5px;" id="d_<?php echo $field;?>">
				<a href="<?php echo URL::site('media/uploads/'.$file_doc);?>" target="_blank" title="Click here to view the document"><img src="<?php echo URL::site('assets/img/pdf_preview.jpg');?>" border="0" /></a><br />
				<a href="javascript:;" data-ref="<?php echo $field;?>" id="<?php echo $page_id;?>" rel="<?php echo $file_doc;?>" data-ref2="<?php echo $fieldlabel;?>" class="rem-img">Remove</a>
				<input type="hidden" name="<?php echo $field;?>_hid" value="<?php echo $file_doc;?>" />
			</div>
		<?php
		}
		?>
		<div class="row">
			<div class="span3">
				<input type="file" id="<?php echo $field;?>" name="<?php echo $field;?>" class="<?php echo $required;?>" onChange="fileUpload(this.form, '<?php echo URL::site('admin/cms/upload_file/'.$field.'/doc');?>', '<?php echo $field;?>'); return false;" />
				<div id="div_<?php echo $field;?>" style="color:#f33; font-style:italic;"></div>
				<input type="hidden" name="file_<?php echo $field;?>" id="file_<?php echo $field;?>" value="<?php echo $file_doc;?>">
				<label class="error" id="div_<?php echo $field;?>" for="<?php echo $field;?>"></label>
			</div>
			<div class="span6">
				<label style="display:inline;">File Download Name:</label> <?php echo Form::input($fieldlabel, is_object($page) ? html_entity_decode($file_labelname) : NULL, array('class'=>'span3', 'id'=>$fieldlabel, 'placeholder'=>'File Download Name'));?>
			</div>
		</div>
		<script>
		$("#<?php echo $field;?>").rules('add', {
			extension: "pdf",
			messages: {
				required: "Please attach a <?php echo $label;?> for this request",
				extension: 'File type should be PDF only'
			}
		});
		$("#<?php echo $fieldlabel;?>").rules('add', {
			messages: {
				required: "Please add a label for the attached document",
			}
		});
		</script>
	<?php
	}
	?>
	</div>
</div>
<?php
}
?>