<?php
foreach ($tpl_sections as $field => $label)
{
	$type = MyHelper::field_type($field);
?>
<div class="row">
	<div class="span9">
	<?php
	if ($type == 'text' OR $type == 'link')
	{
		if ($field == 'title')
		{
			$params = array('class'=>'span4 required titlefield', 'id'=>$field);
			if (isset($char_limit) AND $char_limit > 0)
			{
				$params['maxlength'] = $char_limit;
			}
		} else {
			$params = array('class'=>'span4 required', 'id'=>$field);
		}
		echo Form::label($field, $label);
		echo Form::input($field, is_object($page) ? html_entity_decode($page->$field) : NULL, $params);
	?>
		<script>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					required: "Please input a <?php echo $label;?> for this request"
				}
			});
		</script>
	<?php
	}
	else if ($type == 'textarea')
	{
		// if Client Update or Splash Page Violator the field is "body1", dont make it mandatory
		if (($content_type_id == 5 OR $content_type_id == 6) AND $field == 'body1')
		{
			$cls = '';
		} else {
			$cls = 'htmlEditor';
		}

		echo Form::label($field, $label);
		echo Form::textarea($field, is_object($page) ? html_entity_decode($page->$field) : NULL, array('class'=>'span3 '.$cls, 'id'=>$field));
		if (is_object($page))
		{
			echo Form::hidden($field.'_hidden', html_entity_decode($page->$field), array('id'=>$field.'_hidden'));
		}
		echo '<br />';
		if ($field != 'body5')
		{
	?>
		<script>
			// if (CKEDITOR.instances.<?php echo $field;?>) CKEDITOR.instances.<?php echo $field;?>.destroy();

			CKEDITOR.replace("<?php echo $field;?>", {
				width: 700
			});
		<?php
		if ($content_type_id == 4 AND $field == 'body1')
		{
		?>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					htmlEditor: "Please input <?php echo $label;?> for this request"
				}
			});
		<?php
		}
		else
		{
		?>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					htmlEditor: "Please input a <?php echo $label;?> for this request"
				}
			});
		<?php
		}
		?>
		</script>
	<?php
		} else {
	?>
		<script>
			// if (CKEDITOR.instances.<?php echo $field;?>) CKEDITOR.instances.<?php echo $field;?>.destroy();

			CKEDITOR.replace("<?php echo $field;?>", {
				width: 400
			});

			$("#<?php echo $field;?>").rules('add', {
				messages: {
					htmlEditor: "Please input <?php echo $label;?> for this request"
				}
			});
		</script>
	<?php
		}
	}
	else if ($type == 'embed')
	{
		echo Form::label($field, $label);
		echo Form::textarea($field, is_object($page) ? html_entity_decode($page->$field) : NULL, array('class'=>'span5 required embed', 'style'=>'height:130px;', 'id'=>$field));
	?>
		<script>
			$("#<?php echo $field;?>").rules('add', {
				messages: {
					required: "Video link should be a You Tube video embed code only.",
					embed: "Video link should be a You Tube video embed code only."
				}
			});
		</script>
	<?php
	}
	else if ($type == 'file_img')
	{
		$file_info = '<span class="help-block"><small>JPEG, PNG, or GIF files only</small></span>';
		echo Form::label($field, $label.$file_info);

		$file_img = (is_object($page) AND $page->$field) ? $page->$field : '';
		$required = 'required';
		if ($file_img and is_file(DOCROOT.'media/uploads/'.$file_img))
		// if ($file_img AND MyHelper::check_file($filepath.'/'.$file_img))
		{
			$required = '';
		?>
			<!--
			<div style="margin-bottom:5px;"><img src="<?php echo URL::site('media/uploads/'.$file_img);?>" /></div>
			-->
			<div style="margin-bottom:5px;" id="d_<?php echo $field;?>">
				<img src="<?php echo URL::site('media/uploads/'.$file_img);?>" /><?php /*<br /><a href="javascript:;" data-ref="<?php echo $field;?>" id="<?php echo $page_id;?>" rel="<?php echo $file_img;?>" class="rem-img">Remove</a>*/?>
				<?php
				/*
				<img src="<?php echo $filepath.'/'.$file_img;?>" /><?php /*<br /><a href="javascript:;" data-ref="<?php echo $field;?>" id="<?php echo $page_id;?>" rel="<?php echo $file_img;?>" class="rem-img">Remove</a>
				*/
				?>
				<input type="hidden" name="<?php echo $field;?>_hid" value="<?php echo $file_img;?>" />
			</div>
		<?php
		}
		?>
		<?php /*
		<div class="fileupload fileupload-new" data-provides="fileupload">
	  		<div class="input-append">
	    		<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><?php echo Form::file($field, array('id'=>$field, 'class'=>$required));?></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
	  		</div>
	  		<label class="error" for="<?php echo $field;?>" style="display:none;">This field is required.</label>
		</div>
		<?php echo Form::file($field, array('id'=>$field, 'class'=>$required));?>
		*/ ?>
		<input type="file" id="<?php echo $field;?>" name="<?php echo $field;?>" class="<?php echo $required;?>" onChange="fileUpload(this.form, '<?php echo URL::site('admin/cms/upload_file/'.$field.'/img');?>', '<?php echo $field;?>'); return false;" />
		<div id="div_<?php echo $field;?>" style="color:#f33; font-style:italic;"></div>
		<input type="hidden" name="file_<?php echo $field;?>" id="file_<?php echo $field;?>" value="<?php echo $file_img;?>">
		<label class="error" id="div_<?php echo $field;?>" for="<?php echo $field;?>"></label>
		<script>
		$("#<?php echo $field;?>").rules('add', {
			extension: "png|jpg|gif",
			messages: {
				required: "Please attach a <?php echo $label;?> for this request",
				extension: 'File type should be JPG, PNG, or GIF only'
			}
		});
		</script>
	<?php
	}
	else if ($type == 'file_doc')
	{
		$t = substr($field, 3, 1);
		$fieldlabel = 'doc_label'.$t;

		$file_info = '<span class="help-block"><small>PDF files only (Max. 5mb)</small></span>';
		echo Form::label($field, $label.$file_info);

		$file_doc = (is_object($page) AND $page->$field) ? $page->$field : '';
		$required = 'required';
		if ($file_doc and is_file(DOCROOT.'media/uploads/'.$file_doc))
		// if ($file_doc AND MyHelper::check_file($filepath.'/'.$file_doc))
		{
			$required = '';
		?>
			<div style="margin-bottom:5px;" id="d_<?php echo $field;?>">

				<a href="<?php echo URL::site('media/uploads/'.$file_doc);?>" target="_blank" title="Click here to view the document"><img src="<?php echo URL::site('assets/img/pdf_preview.jpg');?>" border="0" /></a><br />
				<?php
				/*
				<a href="<?php echo $filepath.'/'.$file_doc;?>" target="_blank" title="Click here to view the document"><img src="<?php echo URL::site('assets/img/pdf_preview.jpg');?>" border="0" /></a><br />
				*/
				?>
				<a href="javascript:;" data-ref="<?php echo $field;?>" id="<?php echo $page_id;?>" rel="<?php echo $file_doc;?>" data-ref2="<?php echo $fieldlabel;?>" class="rem-img">Remove</a>
				<input type="hidden" name="<?php echo $field;?>_hid" value="<?php echo $file_doc;?>" />
			</div>
		<?php
		}
		?>
		<?php /*
		<div class="fileupload fileupload-new" data-provides="fileupload">
	  		<div class="input-append">
	    		<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><?php echo Form::file($field, array('id'=>$field, 'class'=>$required));?></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
	    		<span style="margin-left:10px;"><?php echo Form::input($fieldlabel, is_object($page) ? html_entity_decode($page->$fieldlabel) : NULL, array('class'=>'span3', 'id'=>$fieldlabel, 'placeholder'=>'File Upload Name'));?></span>
	  		</div>
	  		<label class="error" for="<?php echo $field;?>" style="display:none;">This field is required.</label>
		</div>
		*/ ?>
		<?php /*
		<div class="row">
			<div class="span3">
			<?php echo Form::file($field, array('id'=>$field, 'class'=>$required));?>
			</div>
			<div class="span6">
			<label style="display:inline;">File Download Name:</label> <?php echo Form::input($fieldlabel, is_object($page) ? html_entity_decode($page->$fieldlabel) : NULL, array('class'=>'span3', 'id'=>$fieldlabel, 'placeholder'=>'File Download Name'));?>
			</div>
		</div>
		*/ ?>
		<div class="row">
			<div class="span3">
				<input type="file" id="<?php echo $field;?>" name="<?php echo $field;?>" class="<?php echo $required;?>" onChange="fileUpload(this.form, '<?php echo URL::site('admin/cms/upload_file/'.$field.'/doc');?>', '<?php echo $field;?>'); return false;" />
				<div id="div_<?php echo $field;?>" style="color:#f33; font-style:italic;"></div>
				<input type="hidden" name="file_<?php echo $field;?>" id="file_<?php echo $field;?>" value="<?php echo $file_doc;?>">
				<label class="error" id="div_<?php echo $field;?>" for="<?php echo $field;?>"></label>
			</div>
			<div class="span6">
				<label style="display:inline;">File Download Name:</label> <?php echo Form::input($fieldlabel, is_object($page) ? html_entity_decode($page->$fieldlabel) : NULL, array('class'=>'span3', 'id'=>$fieldlabel, 'placeholder'=>'File Download Name'));?>
			</div>
		</div>
		<script>
		$("#<?php echo $field;?>").rules('add', {
			extension: "pdf",
			messages: {
				required: "Please attach a <?php echo $label;?> for this request",
				extension: 'File type should be PDF only'
			}
		});
		$("#<?php echo $fieldlabel;?>").rules('add', {
			messages: {
				required: "Please add a label for the attached document",
			}
		});
		</script>
	<?php
	}
	/*
	else if ($type == 'multi_select')
	{
		// get list of sub category 1 under the parent category id
		$arr_sub_category1 = MyHelper::get_sub_category1($category_id);
		// get list of ad banner source based on the category select for the info page.
		$arr_banner_source = MyHelper::banner_source($category_id, $arr_sub_category1);

		$arr_label = explode("|", $label);
		$label = $arr_label[1] > 0 ? $arr_label[0].' <small>(limit of '.$arr_label[1].' option)</small>' : $arr_label[0];

		if ($arr_label[1] > 0)
		{
			if (is_object($page))
			{
				$val = explode(",", $page->{$field});
			} else {
				$val = array();
			}
		}
		else
		{
			if (is_object($page))
			{
				$val = $page->{$field};
			} else {
				$val = NULL;
			}
		}

		echo Form::label($field, $label);
		echo Form::select($field.'[]', $arr_banner_source, $val, array('id'=>$field, 'class'=>'adbanner', 'rel'=>$field, 'style'=>'width:400px;'));
		echo Form::hidden('c_'.$field, $arr_label[1], array('id'=>'c_'.$field));
	}
	*/
	?>
	</div>
</div>
<?php
}
?>