<div class="row">
	<div class="offset3 span6">
 		<?php echo Form::open('admin/setting/db_save', array('id'=>'_form', 'class'=>'form-horizontal'));?>
		<fieldset>
		<legend><h4>Manage Database</h4></legend>
		<?php
		if ($flash_data)
		{
		?>
		<div class="alert">
		 	<button type="button" class="close" data-dismiss="alert">&times;</button>
		 	<?php echo $flash_data;?>
		 </div>
		<?php
		}
		?>
		<div style="margin-bottom:20px;"><strong>Set Purge Duration</strong><br />Permanently delete the Draft, Archived and Denied statuses when Archive duration expires.</div>
		<div class="control-group">
			<label class="control-label">Draft</label>
			<div class="controls">
				<?php echo Form::select('purge_draft', $arr_duration, $purge_draft, array('id'=>'purge_draft'));?>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">Denied</label>
			<div class="controls">
				<?php echo Form::select('purge_denied', $arr_duration, $purge_denied, array('id'=>'purge_denied'));?>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">Archived</label>
			<div class="controls">
				<?php echo Form::select('purge_archived', $arr_duration, $purge_archived, array('id'=>'purge_archived'));?>
			</div>
		</div>
		<div class="form-actions">
			<button type="submit" class="btn btn-primary" disabled="disabled"><i class="icon-ok-circle icon-white"></i> Save</button>
			<button type="reset" class="btn"><i class="icon-refresh"></i> Clear</button>
		</div>
		</fieldset>
		<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
		<input type="hidden" name="old_purge_draft" value="<?php echo $purge_draft;?>" />
		<input type="hidden" name="old_purge_denied" value="<?php echo $purge_denied;?>" />
		<input type="hidden" name="old_purge_archived" value="<?php echo $purge_archived;?>" />
		<?php echo Form::close();?>
   </div><!--/span-->
</div>
<script type="text/javascript">
$(document).ready(function(){
	$('select').change(function(){
		$('.btn-primary').removeAttr('disabled');
	});

	$('.btn-primary').click(function(e){
		if ( ! confirm('Requests that are beyond the specified duration will be deleted immediately.\nClick OK to save the changes.'))
		{
			e.preventDefault();
		}
	});
});
</script>