<?php echo Form::open('forms/send', array('id'=>'_form'));?>
<div class="row">
	<div class="span7"><label class="checkbox" style="padding-left:0px;"><img src="<?php echo URL::site('assets/images/checkmark.gif');?>" /> <strong>Yes</strong>, I would like to discuss business with you.</label></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Inquiry on:<br ><small>Please choose one.</small></label></div>
	<div class="span5">
		<label class="radio">
			<input type="radio" name="inquiry" id="optionsRadios1" value="Overseas Offices" class="required">
			Overseas Offices
		</label>
		<label class="radio">
			<input type="radio" name="inquiry" id="optionsRadios2" value="Tie-up Companies">
			Tie-up Companies
		</label>
		<label class="radio">
			<input type="radio" name="inquiry" id="optionsRadios3" value="Correspondent Banks">
			Correspondent Banks
		</label>
		<label class="radio">
			<input type="radio" name="inquiry" id="optionsRadios4" value="Manning Agencies">
			Manning Agencies
		</label>
		<label class="radio">
			<input type="radio" name="inquiry" id="optionsRadios5" value="Direct Deposit / US Pension Program">
			Direct Deposit / US Pension Program
		</label>
		<label class="error" for="inquiry" style="display:none;"></label>
	</div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Name</label></div>
	<div class="span5"><?php echo Form::input('name', NULL, array('class'=>'span4 required textfield2', 'id'=>'name'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Address</label></div>
	<div class="span5"><?php echo Form::textarea('address', NULL, array('style'=>'width:400px; height:50px;', 'class'=>'required textfield2', 'id'=>'address'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Company Name</label></div>
	<div class="span5"><?php echo Form::input('company_name', NULL, array('class'=>'span4 required textfield2', 'id'=>'company_name'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">E-mail Address</label></div>
	<div class="span5"><?php echo Form::input('email', NULL, array('class'=>'span4 required email', 'id'=>'email'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Contact Tel. No.</label></div>
	<div class="span5"><?php echo Form::input('telno', NULL, array('class'=>'span4 required textfield2', 'id'=>'telno'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Referred by</label></div>
	<div class="span5"><?php echo Form::input('referred_by', NULL, array('class'=>'span4', 'id'=>'referred_by'));?></div>
</div>
<div class="row" style="margin-top:20px;">
	<div class="span7 offset2">
		<button class="btn btn-success" type="submit" id="btn-submitted">Submit</button>
		<button class="btn btn-info" type="reset" id="btn-clear">Clear</button>
		<button class="btn btn-danger" type="button" id="btn-cancel">Cancel</button>
	</div>
</div>
<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
<?php echo Form::close();?>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<style type="text/css">
	label.error {color: #b11116; font-size:12px;}
</style>
<script type="text/javascript">
$('#_form').validate({
	messages: {
		inquiry: {
			required: 'Please select from list.'
		},
		name: {
			required: 'Name field is empty. This data is required.'
		},
		address: {
			required: 'Address field is empty. This data is required.'
		},
		company_name: {
			required: 'Company Name field is empty. This data is required.'
		},
		industry: {
			required: 'Industry field is empty. This data is required.'
		},
		email: {
			required: 'E-mail Address field is empty. This data is required.',
			email: 'A valid Internet E-mail Address containing \'@\' and \'.\' is required.'
		},
		telno: {
			required: 'Contact Tel. No. field is empty. This data is required.'
		}
	}
});
</script>