<!DOCTYPE html>
<html lang="en">
<head>
	<title><?php echo isset($meta_title) ? $meta_title : 'Bank of the Philippine Islands';?></title>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
   <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0" />
   <?php
   if (isset($meta_description))
   {
   ?>
   <meta name="description" content="<?php echo $meta_description;?>">
   <?php
   }
   if (isset($meta_keyword))
   {
   ?>
   <meta name="keywords" content="<?php echo $meta_keyword;?>">
   <?php
   }
   ?>
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/font-awesome.min.css');?>">
	<!--[if IE 7]>
	<link rel="stylesheet" href="assets/css/font-awesome-ie7.css">
	<![endif]-->
	<!--[if lt IE 9]>
	<script src="<?php echo URL::site('assets/js/html5shiv.min.js');?>"></script>
	<![endif]-->
	<link href="<?php echo URL::site('assets/css/bootstrap.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/styles.css');?>" rel="stylesheet" type="text/css" />
	<!-- Syntax Highlighter -->
	<link href="<?php echo URL::site('assets/css/shCore.css');?>" rel="stylesheet" type="text/css" />
	<link href="<?php echo URL::site('assets/css/shThemeDefault.css');?>" rel="stylesheet" type="text/css" />
	<!-- Demo CSS -->
	<link rel="stylesheet" href="<?php echo URL::site('assets/css/flexslider.css');?>" type="text/css" media="screen" />
	<!-- Modernizr -->
	<script src="<?php echo URL::site('assets/js/modernizr.js');?>"></script>
	<!-- jQuery -->
	<script src="<?php echo URL::site('assets/js/jquery.min.js');?>"></script>
	<?php /*<script src="<?php echo URL::site('assets/js/jquery.easytabs.min.js');?>"></script>*/ ?>
	<script src="<?php echo URL::site('assets/js/bootstrap.min.js');?>"></script>
	<script src="<?php echo URL::site('assets/js/responsiveslides.min.js');?>"></script>
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish-navbar.css');?>">
	<link rel="stylesheet" media="screen" href="<?php echo URL::site('assets/css/superfish.css');?>">
</head>
<body>
<!-- Google Tag Manager -->
<noscript><iframe src="//www.googletagmanager.com/ns.html?id=GTM-5Z35W2"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','GTM-5Z35W2');</script>
<!-- End Google Tag Manager -->
<div class="main-header">
<div id="header">
	<?php
	if (isset($print))
	{
	?>
	<div style="padding:5px; background-color:#666; color:#fff; text-align:right;"><a href="javascript:;" style="color:#fff;" onClick="window.print();">Click Here to Print</a></div>
	<?php
	}
	?>
	<div class="main">
		<div id="top-navig">
			<ul id="topmenu">
			<?php
			if ( ! Fragment::load('top_links', Date::HOUR * 1))
			{
			?>
				<?php echo Request::factory('nav/top_links/related_sites')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/about_us')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/apply_now')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/promos')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/rates')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/locator')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/contact_us')->execute()->body();?>
			<?php
				Fragment::save();
			}
			?>
			</ul>
		</div>
		<div class="clear"></div>
		<div id="logo"><a href="<?php echo URL::site();?>"><img src="<?php echo URL::site('assets/img/logo.jpg');?>" /></a></div>
		<div id="search-top">
		<form method="post" action="<?php echo URL::site('page/search');?>">
			<input type="text" name="search" placeholder="Search.." />
			<input type="image" src="<?php echo URL::site('assets/img/search-icon.jpg');?>" />
		</form>
		</div>
		<div class="clear"></div>
		<div id="menu">
			<ul class="sf-menu" id="main-nav">
				<li<?php echo (Session::instance()->get('navclass') == 'personal' OR  ! Session::instance()->get('navclass')) ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/personal');?>">Personal</a>
					<?php
					if ( ! Fragment::load('menu1', Date::HOUR * 1))
					{
						echo MyHelper::menu(1);
						Fragment::save();
					}
					?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'business' ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/business');?>">Business</a>
					<?php
					if ( ! Fragment::load('menu4', Date::HOUR * 1))
					{
						echo MyHelper::menu(4);
						Fragment::save();
					}
					?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'overseas-filipino' ? ' class="current"' : '';?>>
					<a href="<?php echo URL::site('home/menu/overseas-filipino');?>">Overseas Filipino</a>
					<?php
					if ( ! Fragment::load('menu5', Date::HOUR * 1))
					{
						echo MyHelper::menu(5);
						Fragment::save();
					}
					?>
				</li>
				<?php /*
				<li<?php echo Session::instance()->get('navclass') == 'preferred-banking' ? ' class="current"' : '';?>>
					<div style="height:26px;"></div>
					<?php echo MyHelper::menu(2);?>
				</li>
				<li<?php echo Session::instance()->get('navclass') == 'private-banking' ? ' class="current"' : '';?>>
					<div style="height:26px;"></div>
					<?php echo MyHelper::menu(3);?>
				</li>
				*/ ?>
			</ul>
			<?php
			/*
			if (Session::instance()->get('navclass') == 'personal' OR  ! Session::instance()->get('navclass'))
			{
			?>
			<ul id="stc-menu">
				<?php echo Request::factory('nav/top_links/preferred_banking')->execute()->body();?>
				<?php echo Request::factory('nav/top_links/private_banking')->execute()->body();?>
				<?php /*
				<li><a href="<?php echo URL::site('home/menu/preferred-banking');?>"<?php echo Session::instance()->get('navclass') == 'preferred-banking' ? ' class="current"' : '';?> id="preferred-banking">Preferred Banking</a></li>
				<li><a href="<?php echo URL::site('home/menu/private-banking');?>"<?php echo Session::instance()->get('navclass') == 'private-banking' ? ' class="current"' : '';?> id="private-banking">Private Banking</a></li>
				/ ?>
			</ul>
			<?php
			}
			*/
			?>
			<div class="clear"></div>
		</div>
	</div>
	<div class="clear"></div>
</div>
</div>
<?php
if (isset($splash_page))
{
	echo $splash_page;
}
?>
<?php echo $content;?>

<?php
if ( ! Fragment::load('footer', Date::HOUR * 24))
{
?>
<div id="footer">
	<div class="main">
		<div class="clear"></div>
		<div class="left">
			<p class="copy-gray" style="margin-bottom:10px;"><?php echo Request::factory('nav/bottom_links/product_services')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/market_watcher')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/careers')->execute()->body();?>  |  <?php echo Request::factory('nav/bottom_links/security')->execute()->body();?></p>
			<p class="copy-gray">Copyright 2015 BANK OF THE PHILIPPINE ISLANDS. All Rights Reserved</p>
			<p class="copy-gray">Best viewed on Internet Explorer 8.0, Firefox 24.0, Chrome 29.0, and Safari 5.0.1 or higher versions</p>
			<p class="copy-gray">Member: PDIC. Maximum Deposit Insurance for Each Depositor P500,000.</p>
		</div>
		<div class="icons">
			Be social with us:
			<a data-href="http://www.facebook.com/bpi" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/fb-footer.jpg');?>" /></a>
			<a data-href="http://twitter.com/TalktoBPI" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/tw-footer.jpg');?>" /></a>
			<a data-href="http://youtube.com/user/BPIvideochannel" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/yt-footer.jpg');?>" /></a>
			<a data-href="https://www.linkedin.com/company/bank-of-the-philippine-islands" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/in-footer.jpg');?>" /></a>
		</div>
		<div class="clear"></div>
		<div id="f-logo">
			<a data-href="http://www.bancnetonline.com/BancnetWeb/goToMainPage.do" href="javascript:;" class="media-link"><img src="<?php echo URL::site('assets/img/bancnet.jpg');?>" /></a>
			<img src="<?php echo URL::site('assets/img/verisign.jpg');?>" />
		</div>
	</div>
</div>
<?php
Fragment::save();
}
?>
<!-- FlexSlider -->
<script defer src="<?php echo URL::site('assets/js/jquery.flexslider-min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.marquee.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/bootbox.min.js');?>"></script>
<script type="text/javascript">
$(document).on('click', '.media-link', function(){
	var href = $(this).attr('data-href');
	bootbox.dialog("<p class=\"lead\">Disclaimer</p><p>You are about to visit a website hosted outside of BPI Express Online, which may offer a different privacy policy and level of security.</p>",
	[{
		"label" : "Cancel",
	}, {
		"label" : "Proceed",
   	"class" : "btn-success",
    	"callback": function(res) {
	  		if (res) {
	  			window.open(href, "newWindow");
	  		}
	  	}
	}]);
});

$(window).load(function(){
	$('#carousel').flexslider({
		animation: "slide",
		controlNav: true,
		animationLoop: true,
		slideshow: true,
		itemWidth: 172,
		itemMargin: 5,
		asNavFor: '#slider'
	});

	$('#slider').flexslider({
		animation: "slide",
		controlNav: true,
		animationLoop: true,
		slideshow: false,
		sync: "#carousel",
		start: function(slider){
			$('body').removeClass('loading');
		}
	});
	/*
	$('a.carousel-link').click(function(e){
		e.preventDefault();
		//var href = $(this).attr('href');
		//window.location.href = href;
	});
	*/
	$('.marquee').marquee({
		pausespeed: 0,
		yScroll: 'top'
	});

	// for promo details page
	// $("#tab-container").easytabs();

	$(".rslides").responsiveSlides();
});

</script>
<!-- Syntax Highlighter -->
<script type="text/javascript" src="<?php echo URL::site('assets/js/shCore.js');?>"></script>
<script type="text/javascript" src="<?php echo URL::site('assets/js/shBrushXml.js');?>"></script>
<script type="text/javascript" src="<?php echo URL::site('assets/js/shBrushJScript.js');?>"></script>
<!-- Optional FlexSlider Additions -->
<script src="<?php echo URL::site('assets/js/jquery.easing.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.mousewheel.js');?>"></script>
<script defer src="<?php echo URL::site('assets/js/demo.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.hoverIntent.js');?>"></script>
<script src="<?php echo URL::site('assets/js/superfish.js');?>"></script>
<script type="text/javascript">
$(function(){
	SyntaxHighlighter.all();
});

$(function(){
	$('#topmenu > li').bind('mouseover', openSubMenu);
	$('#topmenu > li').bind('mouseout', closeSubMenu);
	function openSubMenu() {
		$(this).find('div').css('display', 'block');
	};

	function closeSubMenu() {
		$(this).find('div').css('display', 'none');
	};
	/*
   $(".menu-dropdown").hide();
   $(".menu-main").hover(function(){
      $(".menu-dropdown").hide();
      var id = $(this).attr('id');

      $("#" + id + "-dropdown").show();
   });

    $(".menu-dropdown").mouseleave(function(){
   		$(".menu-dropdown").fadeOut();
   });

   jQuery("body").click(function(){
      $(".menu-dropdown").hide();
   });
   */
});

$(document).ready(function(){
	var nav = $('ul.sf-menu').superfish({
		pathClass: 'current'
	});

	$('.submenu').click(function(e){
		if ($(this).attr('href') != '#')
		{
			var rel = $(this).attr('rel');
			var el = rel.split('|');

			$('.'+el[0]+' li').removeClass('active');
			// $('.'+el[0]+' > li#'+el[1]).addClass('active');

			$.post("<?php echo URL::site('nav/set_active');?>", {element: rel});
		}
	});

	$('.page-link').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active2');?>", {element: rel});
	});

	$('.bottom-links').click(function(){
		var rel = $(this).attr('rel');

		$.post("<?php echo URL::site('nav/set_active3');?>", {element: rel});
	});
	/*
	$('#preferred-banking').hover(
		function(){
			nav.children().superfish('hide');
			nav.children('li:nth-child(4)').superfish('show');
		},
		function(){
			nav.children('li:nth-child(4)').superfish('hide');
			nav.children('li.sf-breadcrumb').superfish('show');
		}
	);

	$('#private-banking').hover(
		function(){
			nav.children().superfish('hide');
			nav.children('li:nth-child(5)').superfish('show');
		},
		function(){
			nav.children('li:nth-child(5)').superfish('hide');
			nav.children('li.sf-breadcrumb').superfish('show');
		}
	);
	*/

	 $('ul.paginate-hori').each(function(){
    // For each set of tabs, we want to keep track of
    // which tab is active and it's associated content
    var $active, $content, $links = $(this).find('a');
    var $li = $(this).find('li');

    // If the location.hash matches one of the links, use that as the active tab.
    // If no match is found, use the first link as the initial active tab.
    $active = $($links.filter('[href="'+location.hash+'"]')[0] || $links[0]);
    $active.addClass('active');

    $content = $($active[0].hash);

    // Hide the remaining content
    $links.not($active).each(function () {
      $(this.hash).hide();
    });

    // Bind the click event handler
    $(this).on('click', 'a', function(e){
      // Make the old tab inactive.
      $active.removeClass('active');
      $li.removeClass('active');
      $content.hide();

      // Update the variables with the new link and content
      $active = $(this);
      $li = $(this).parent();
      $content = $(this.hash);

      // Make the tab active.
      $active.addClass('active');
      $li.addClass('active');
      $content.show();

      // Prevent the anchor's default click action
      e.preventDefault();
    });
  });

});
</script>
</body>
</html>